import { ParseTreeListener } from "antlr4";
import { StatementsOrCommandsContext } from "./CypherCmdParser";
import { StatementOrCommandContext } from "./CypherCmdParser";
import { ConsoleCommandContext } from "./CypherCmdParser";
import { ParamsCmdContext } from "./CypherCmdParser";
import { ParamsArgsContext } from "./CypherCmdParser";
import { LambdaContext } from "./CypherCmdParser";
import { ClearCmdContext } from "./CypherCmdParser";
import { HistoryCmdContext } from "./CypherCmdParser";
import { UseCmdContext } from "./CypherCmdParser";
import { ListCompletionRuleContext } from "./CypherCmdParser";
import { UseCompletionRuleContext } from "./CypherCmdParser";
import { StatementsContext } from "./CypherCmdParser";
import { StatementContext } from "./CypherCmdParser";
import { PreparserOptionContext } from "./CypherCmdParser";
import { SingleQueryOrCommandContext } from "./CypherCmdParser";
import { SingleQueryOrCommandWithUseClauseContext } from "./CypherCmdParser";
import { PeriodicCommitQueryHintFailureContext } from "./CypherCmdParser";
import { RegularQueryContext } from "./CypherCmdParser";
import { UnionContext } from "./CypherCmdParser";
import { SingleQueryContext } from "./CypherCmdParser";
import { SingleQueryWithUseClauseContext } from "./CypherCmdParser";
import { ClauseContext } from "./CypherCmdParser";
import { UseClauseContext } from "./CypherCmdParser";
import { ReturnClauseContext } from "./CypherCmdParser";
import { ReturnBodyContext } from "./CypherCmdParser";
import { ReturnItemContext } from "./CypherCmdParser";
import { ReturnItemsContext } from "./CypherCmdParser";
import { OrderItemContext } from "./CypherCmdParser";
import { SkipContext } from "./CypherCmdParser";
import { LimitContext } from "./CypherCmdParser";
import { WhereClauseContext } from "./CypherCmdParser";
import { WithClauseContext } from "./CypherCmdParser";
import { CreateClauseContext } from "./CypherCmdParser";
import { SetClauseContext } from "./CypherCmdParser";
import { SetItemContext } from "./CypherCmdParser";
import { RemoveClauseContext } from "./CypherCmdParser";
import { RemoveItemContext } from "./CypherCmdParser";
import { DeleteClauseContext } from "./CypherCmdParser";
import { MatchClauseContext } from "./CypherCmdParser";
import { MatchModeContext } from "./CypherCmdParser";
import { HintsContext } from "./CypherCmdParser";
import { IndexHintBodyContext } from "./CypherCmdParser";
import { MergeClauseContext } from "./CypherCmdParser";
import { UnwindClauseContext } from "./CypherCmdParser";
import { CallClauseContext } from "./CypherCmdParser";
import { ProcedureNameContext } from "./CypherCmdParser";
import { ProcedureArgumentContext } from "./CypherCmdParser";
import { ProcedureResultItemContext } from "./CypherCmdParser";
import { LoadCSVClauseContext } from "./CypherCmdParser";
import { ForeachClauseContext } from "./CypherCmdParser";
import { SubqueryClauseContext } from "./CypherCmdParser";
import { SubqueryInTransactionsParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsBatchParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsErrorParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsReportParametersContext } from "./CypherCmdParser";
import { PatternListContext } from "./CypherCmdParser";
import { PatternContext } from "./CypherCmdParser";
import { QuantifierContext } from "./CypherCmdParser";
import { AnonymousPatternContext } from "./CypherCmdParser";
import { ShortestPathPatternContext } from "./CypherCmdParser";
import { MaybeQuantifiedRelationshipPatternContext } from "./CypherCmdParser";
import { PatternElementContext } from "./CypherCmdParser";
import { PathPatternAtomsContext } from "./CypherCmdParser";
import { SelectorContext } from "./CypherCmdParser";
import { PathPatternNonEmptyContext } from "./CypherCmdParser";
import { NodePatternContext } from "./CypherCmdParser";
import { ParenthesizedPathContext } from "./CypherCmdParser";
import { NodeLabelsContext } from "./CypherCmdParser";
import { LabelExpressionPredicateContext } from "./CypherCmdParser";
import { LabelOrRelTypeContext } from "./CypherCmdParser";
import { LabelOrRelTypesContext } from "./CypherCmdParser";
import { PropertiesContext } from "./CypherCmdParser";
import { RelationshipPatternContext } from "./CypherCmdParser";
import { LeftArrowContext } from "./CypherCmdParser";
import { ArrowLineContext } from "./CypherCmdParser";
import { RightArrowContext } from "./CypherCmdParser";
import { PathLengthContext } from "./CypherCmdParser";
import { PathLengthLiteralContext } from "./CypherCmdParser";
import { LabelExpressionContext } from "./CypherCmdParser";
import { LabelExpression4Context } from "./CypherCmdParser";
import { LabelExpression4IsContext } from "./CypherCmdParser";
import { LabelExpression3Context } from "./CypherCmdParser";
import { LabelExpression3IsContext } from "./CypherCmdParser";
import { LabelExpression2Context } from "./CypherCmdParser";
import { LabelExpression2IsContext } from "./CypherCmdParser";
import { ParenthesizedLabelExpressionContext } from "./CypherCmdParser";
import { AnyLabelContext } from "./CypherCmdParser";
import { LabelNameContext } from "./CypherCmdParser";
import { ParenthesizedLabelExpressionIsContext } from "./CypherCmdParser";
import { AnyLabelIsContext } from "./CypherCmdParser";
import { LabelNameIsContext } from "./CypherCmdParser";
import { ExpressionContext } from "./CypherCmdParser";
import { Expression12Context } from "./CypherCmdParser";
import { Expression11Context } from "./CypherCmdParser";
import { Expression10Context } from "./CypherCmdParser";
import { Expression9Context } from "./CypherCmdParser";
import { Expression8Context } from "./CypherCmdParser";
import { Expression7Context } from "./CypherCmdParser";
import { ComparisonExpression6Context } from "./CypherCmdParser";
import { Expression6Context } from "./CypherCmdParser";
import { Expression5Context } from "./CypherCmdParser";
import { Expression4Context } from "./CypherCmdParser";
import { Expression3Context } from "./CypherCmdParser";
import { Expression2Context } from "./CypherCmdParser";
import { PostFix1Context } from "./CypherCmdParser";
import { PropertyContext } from "./CypherCmdParser";
import { PropertyExpressionContext } from "./CypherCmdParser";
import { Expression1Context } from "./CypherCmdParser";
import { NummericLiteralContext } from "./CypherCmdParser";
import { StringsLiteralContext } from "./CypherCmdParser";
import { OtherLiteralContext } from "./CypherCmdParser";
import { BooleanLiteralContext } from "./CypherCmdParser";
import { KeywordLiteralContext } from "./CypherCmdParser";
import { CaseExpressionContext } from "./CypherCmdParser";
import { ListComprehensionContext } from "./CypherCmdParser";
import { ListComprehensionWhereAndBarContext } from "./CypherCmdParser";
import { PatternComprehensionContext } from "./CypherCmdParser";
import { ReduceExpressionContext } from "./CypherCmdParser";
import { AllExpressionContext } from "./CypherCmdParser";
import { AnyExpressionContext } from "./CypherCmdParser";
import { NoneExpressionContext } from "./CypherCmdParser";
import { SingleExpressionContext } from "./CypherCmdParser";
import { PatternExpressionContext } from "./CypherCmdParser";
import { ShortestPathExpressionContext } from "./CypherCmdParser";
import { MapProjectionContext } from "./CypherCmdParser";
import { MapProjectionItemContext } from "./CypherCmdParser";
import { ExistsExpressionContext } from "./CypherCmdParser";
import { CountExpressionContext } from "./CypherCmdParser";
import { CollectExpressionContext } from "./CypherCmdParser";
import { StringLiteralContext } from "./CypherCmdParser";
import { NumberLiteralContext } from "./CypherCmdParser";
import { SignedIntegerLiteralContext } from "./CypherCmdParser";
import { ListLiteralContext } from "./CypherCmdParser";
import { MapLiteralContext } from "./CypherCmdParser";
import { PropertyKeyNameContext } from "./CypherCmdParser";
import { ParameterContext } from "./CypherCmdParser";
import { ParameterNameContext } from "./CypherCmdParser";
import { FunctionInvocationContext } from "./CypherCmdParser";
import { FunctionNameContext } from "./CypherCmdParser";
import { FunctionArgumentContext } from "./CypherCmdParser";
import { NamespaceContext } from "./CypherCmdParser";
import { VariableList1Context } from "./CypherCmdParser";
import { VariableContext } from "./CypherCmdParser";
import { SymbolicNameList1Context } from "./CypherCmdParser";
import { CreateCommandContext } from "./CypherCmdParser";
import { CommandContext } from "./CypherCmdParser";
import { CommandWithUseGraphContext } from "./CypherCmdParser";
import { DropCommandContext } from "./CypherCmdParser";
import { AlterCommandContext } from "./CypherCmdParser";
import { ShowCommandContext } from "./CypherCmdParser";
import { TerminateCommandContext } from "./CypherCmdParser";
import { ShowAllCommandContext } from "./CypherCmdParser";
import { ShowNodeCommandContext } from "./CypherCmdParser";
import { ShowRelationshipCommandContext } from "./CypherCmdParser";
import { ShowRelCommandContext } from "./CypherCmdParser";
import { ShowPropertyCommandContext } from "./CypherCmdParser";
import { YieldItemContext } from "./CypherCmdParser";
import { YieldClauseContext } from "./CypherCmdParser";
import { ShowIndexesAllowBriefContext } from "./CypherCmdParser";
import { ShowIndexesNoBriefContext } from "./CypherCmdParser";
import { ShowConstraintsAllowBriefAndYieldContext } from "./CypherCmdParser";
import { ShowConstraintsAllowBriefContext } from "./CypherCmdParser";
import { ShowConstraintsAllowYieldContext } from "./CypherCmdParser";
import { ShowProceduresContext } from "./CypherCmdParser";
import { ShowFunctionsContext } from "./CypherCmdParser";
import { ShowTransactionsContext } from "./CypherCmdParser";
import { TerminateTransactionsContext } from "./CypherCmdParser";
import { ShowOrTerminateTransactionsContext } from "./CypherCmdParser";
import { StringsOrExpressionContext } from "./CypherCmdParser";
import { ShowSettingsContext } from "./CypherCmdParser";
import { CreateConstraintContext } from "./CypherCmdParser";
import { CypherTypeNameContext } from "./CypherCmdParser";
import { CypherTypeNameListContext } from "./CypherCmdParser";
import { CypherTypeNamePartContext } from "./CypherCmdParser";
import { ConstraintNodePatternContext } from "./CypherCmdParser";
import { ConstraintRelPatternContext } from "./CypherCmdParser";
import { CreateConstraintNodeCheckContext } from "./CypherCmdParser";
import { CreateConstraintRelCheckContext } from "./CypherCmdParser";
import { DropConstraintContext } from "./CypherCmdParser";
import { DropConstraintNodeCheckContext } from "./CypherCmdParser";
import { CreateIndexContext } from "./CypherCmdParser";
import { OldCreateIndexContext } from "./CypherCmdParser";
import { CreateIndex_Context } from "./CypherCmdParser";
import { CreateFulltextIndexContext } from "./CypherCmdParser";
import { CreateLookupIndexContext } from "./CypherCmdParser";
import { LookupIndexFunctionNameContext } from "./CypherCmdParser";
import { DropIndexContext } from "./CypherCmdParser";
import { PropertyListContext } from "./CypherCmdParser";
import { RenameCommandContext } from "./CypherCmdParser";
import { GrantCommandContext } from "./CypherCmdParser";
import { RevokeCommandContext } from "./CypherCmdParser";
import { EnableServerCommandContext } from "./CypherCmdParser";
import { AlterServerContext } from "./CypherCmdParser";
import { RenameServerContext } from "./CypherCmdParser";
import { DropServerContext } from "./CypherCmdParser";
import { ShowServersContext } from "./CypherCmdParser";
import { AllocationCommandContext } from "./CypherCmdParser";
import { DeallocateDatabaseFromServersContext } from "./CypherCmdParser";
import { ReallocateDatabasesContext } from "./CypherCmdParser";
import { CreateRoleContext } from "./CypherCmdParser";
import { DropRoleContext } from "./CypherCmdParser";
import { RenameRoleContext } from "./CypherCmdParser";
import { ShowRolesContext } from "./CypherCmdParser";
import { GrantRoleContext } from "./CypherCmdParser";
import { RevokeRoleContext } from "./CypherCmdParser";
import { CreateUserContext } from "./CypherCmdParser";
import { DropUserContext } from "./CypherCmdParser";
import { RenameUserContext } from "./CypherCmdParser";
import { AlterCurrentUserContext } from "./CypherCmdParser";
import { AlterUserContext } from "./CypherCmdParser";
import { SetPasswordContext } from "./CypherCmdParser";
import { PasswordExpressionContext } from "./CypherCmdParser";
import { PasswordChangeRequiredContext } from "./CypherCmdParser";
import { UserStatusContext } from "./CypherCmdParser";
import { HomeDatabaseContext } from "./CypherCmdParser";
import { ShowUsersContext } from "./CypherCmdParser";
import { ShowCurrentUserContext } from "./CypherCmdParser";
import { ShowSupportedPrivilegesContext } from "./CypherCmdParser";
import { ShowPrivilegesContext } from "./CypherCmdParser";
import { ShowRolePrivilegesContext } from "./CypherCmdParser";
import { ShowUserPrivilegesContext } from "./CypherCmdParser";
import { GrantRoleManagementContext } from "./CypherCmdParser";
import { RevokeRoleManagementContext } from "./CypherCmdParser";
import { RoleManagementPrivilegeContext } from "./CypherCmdParser";
import { GrantPrivilegeContext } from "./CypherCmdParser";
import { DenyPrivilegeContext } from "./CypherCmdParser";
import { RevokePrivilegeContext } from "./CypherCmdParser";
import { PrivilegeContext } from "./CypherCmdParser";
import { AllPrivilegeContext } from "./CypherCmdParser";
import { AllPrivilegeTypeContext } from "./CypherCmdParser";
import { AllPrivilegeTargetContext } from "./CypherCmdParser";
import { CreatePrivilegeContext } from "./CypherCmdParser";
import { DropPrivilegeContext } from "./CypherCmdParser";
import { LoadPrivilegeContext } from "./CypherCmdParser";
import { ShowPrivilegeContext } from "./CypherCmdParser";
import { SetPrivilegeContext } from "./CypherCmdParser";
import { RemovePrivilegeContext } from "./CypherCmdParser";
import { WritePrivilegeContext } from "./CypherCmdParser";
import { DatabasePrivilegeContext } from "./CypherCmdParser";
import { DbmsPrivilegeContext } from "./CypherCmdParser";
import { ExecuteFunctionQualifierContext } from "./CypherCmdParser";
import { ExecuteProcedureQualifierContext } from "./CypherCmdParser";
import { SettingQualifierContext } from "./CypherCmdParser";
import { GlobsContext } from "./CypherCmdParser";
import { QualifiedGraphPrivilegesWithPropertyContext } from "./CypherCmdParser";
import { QualifiedGraphPrivilegesContext } from "./CypherCmdParser";
import { LabelResourceContext } from "./CypherCmdParser";
import { PropertyResourceContext } from "./CypherCmdParser";
import { GraphQualifierContext } from "./CypherCmdParser";
import { CreateDatabaseContext } from "./CypherCmdParser";
import { Options_Context } from "./CypherCmdParser";
import { CreateCompositeDatabaseContext } from "./CypherCmdParser";
import { DropDatabaseContext } from "./CypherCmdParser";
import { AlterDatabaseContext } from "./CypherCmdParser";
import { StartDatabaseContext } from "./CypherCmdParser";
import { StopDatabaseContext } from "./CypherCmdParser";
import { WaitClauseContext } from "./CypherCmdParser";
import { ShowDatabaseContext } from "./CypherCmdParser";
import { DatabaseScopeContext } from "./CypherCmdParser";
import { GraphScopeContext } from "./CypherCmdParser";
import { CreateAliasContext } from "./CypherCmdParser";
import { DropAliasContext } from "./CypherCmdParser";
import { AlterAliasContext } from "./CypherCmdParser";
import { ShowAliasesContext } from "./CypherCmdParser";
import { SymbolicAliasNameListContext } from "./CypherCmdParser";
import { SymbolicAliasNameContext } from "./CypherCmdParser";
import { SymbolicNameOrStringParameterListContext } from "./CypherCmdParser";
import { SymbolicNameOrStringParameterContext } from "./CypherCmdParser";
import { GlobContext } from "./CypherCmdParser";
import { GlobRecursiveContext } from "./CypherCmdParser";
import { GlobPartContext } from "./CypherCmdParser";
import { StringImageContext } from "./CypherCmdParser";
import { StringListContext } from "./CypherCmdParser";
import { StringTokenContext } from "./CypherCmdParser";
import { StringOrParameterContext } from "./CypherCmdParser";
import { MapOrParameterContext } from "./CypherCmdParser";
import { MapContext } from "./CypherCmdParser";
import { SymbolicNamePositionsContext } from "./CypherCmdParser";
import { SymbolicNameStringContext } from "./CypherCmdParser";
import { EscapedSymbolicNameStringContext } from "./CypherCmdParser";
import { UnescapedSymbolicNameStringContext } from "./CypherCmdParser";
import { SymbolicLabelNameStringContext } from "./CypherCmdParser";
import { UnescapedLabelSymbolicNameStringContext } from "./CypherCmdParser";
import { EndOfFileContext } from "./CypherCmdParser";
/**
 * This interface defines a complete listener for a parse tree produced by
 * `CypherCmdParser`.
 */
export default class CypherCmdParserListener extends ParseTreeListener {
    /**
     * Enter a parse tree produced by `CypherCmdParser.statementsOrCommands`.
     * @param ctx the parse tree
     */
    enterStatementsOrCommands?: (ctx: StatementsOrCommandsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.statementsOrCommands`.
     * @param ctx the parse tree
     */
    exitStatementsOrCommands?: (ctx: StatementsOrCommandsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.statementOrCommand`.
     * @param ctx the parse tree
     */
    enterStatementOrCommand?: (ctx: StatementOrCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.statementOrCommand`.
     * @param ctx the parse tree
     */
    exitStatementOrCommand?: (ctx: StatementOrCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.consoleCommand`.
     * @param ctx the parse tree
     */
    enterConsoleCommand?: (ctx: ConsoleCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.consoleCommand`.
     * @param ctx the parse tree
     */
    exitConsoleCommand?: (ctx: ConsoleCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.paramsCmd`.
     * @param ctx the parse tree
     */
    enterParamsCmd?: (ctx: ParamsCmdContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.paramsCmd`.
     * @param ctx the parse tree
     */
    exitParamsCmd?: (ctx: ParamsCmdContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.paramsArgs`.
     * @param ctx the parse tree
     */
    enterParamsArgs?: (ctx: ParamsArgsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.paramsArgs`.
     * @param ctx the parse tree
     */
    exitParamsArgs?: (ctx: ParamsArgsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.lambda`.
     * @param ctx the parse tree
     */
    enterLambda?: (ctx: LambdaContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.lambda`.
     * @param ctx the parse tree
     */
    exitLambda?: (ctx: LambdaContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.clearCmd`.
     * @param ctx the parse tree
     */
    enterClearCmd?: (ctx: ClearCmdContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.clearCmd`.
     * @param ctx the parse tree
     */
    exitClearCmd?: (ctx: ClearCmdContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.historyCmd`.
     * @param ctx the parse tree
     */
    enterHistoryCmd?: (ctx: HistoryCmdContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.historyCmd`.
     * @param ctx the parse tree
     */
    exitHistoryCmd?: (ctx: HistoryCmdContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.useCmd`.
     * @param ctx the parse tree
     */
    enterUseCmd?: (ctx: UseCmdContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.useCmd`.
     * @param ctx the parse tree
     */
    exitUseCmd?: (ctx: UseCmdContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.listCompletionRule`.
     * @param ctx the parse tree
     */
    enterListCompletionRule?: (ctx: ListCompletionRuleContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.listCompletionRule`.
     * @param ctx the parse tree
     */
    exitListCompletionRule?: (ctx: ListCompletionRuleContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.useCompletionRule`.
     * @param ctx the parse tree
     */
    enterUseCompletionRule?: (ctx: UseCompletionRuleContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.useCompletionRule`.
     * @param ctx the parse tree
     */
    exitUseCompletionRule?: (ctx: UseCompletionRuleContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.statements`.
     * @param ctx the parse tree
     */
    enterStatements?: (ctx: StatementsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.statements`.
     * @param ctx the parse tree
     */
    exitStatements?: (ctx: StatementsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.statement`.
     * @param ctx the parse tree
     */
    enterStatement?: (ctx: StatementContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.statement`.
     * @param ctx the parse tree
     */
    exitStatement?: (ctx: StatementContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.preparserOption`.
     * @param ctx the parse tree
     */
    enterPreparserOption?: (ctx: PreparserOptionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.preparserOption`.
     * @param ctx the parse tree
     */
    exitPreparserOption?: (ctx: PreparserOptionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.singleQueryOrCommand`.
     * @param ctx the parse tree
     */
    enterSingleQueryOrCommand?: (ctx: SingleQueryOrCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.singleQueryOrCommand`.
     * @param ctx the parse tree
     */
    exitSingleQueryOrCommand?: (ctx: SingleQueryOrCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.singleQueryOrCommandWithUseClause`.
     * @param ctx the parse tree
     */
    enterSingleQueryOrCommandWithUseClause?: (ctx: SingleQueryOrCommandWithUseClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.singleQueryOrCommandWithUseClause`.
     * @param ctx the parse tree
     */
    exitSingleQueryOrCommandWithUseClause?: (ctx: SingleQueryOrCommandWithUseClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.periodicCommitQueryHintFailure`.
     * @param ctx the parse tree
     */
    enterPeriodicCommitQueryHintFailure?: (ctx: PeriodicCommitQueryHintFailureContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.periodicCommitQueryHintFailure`.
     * @param ctx the parse tree
     */
    exitPeriodicCommitQueryHintFailure?: (ctx: PeriodicCommitQueryHintFailureContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.regularQuery`.
     * @param ctx the parse tree
     */
    enterRegularQuery?: (ctx: RegularQueryContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.regularQuery`.
     * @param ctx the parse tree
     */
    exitRegularQuery?: (ctx: RegularQueryContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.union`.
     * @param ctx the parse tree
     */
    enterUnion?: (ctx: UnionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.union`.
     * @param ctx the parse tree
     */
    exitUnion?: (ctx: UnionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.singleQuery`.
     * @param ctx the parse tree
     */
    enterSingleQuery?: (ctx: SingleQueryContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.singleQuery`.
     * @param ctx the parse tree
     */
    exitSingleQuery?: (ctx: SingleQueryContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.singleQueryWithUseClause`.
     * @param ctx the parse tree
     */
    enterSingleQueryWithUseClause?: (ctx: SingleQueryWithUseClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.singleQueryWithUseClause`.
     * @param ctx the parse tree
     */
    exitSingleQueryWithUseClause?: (ctx: SingleQueryWithUseClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.clause`.
     * @param ctx the parse tree
     */
    enterClause?: (ctx: ClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.clause`.
     * @param ctx the parse tree
     */
    exitClause?: (ctx: ClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.useClause`.
     * @param ctx the parse tree
     */
    enterUseClause?: (ctx: UseClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.useClause`.
     * @param ctx the parse tree
     */
    exitUseClause?: (ctx: UseClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.returnClause`.
     * @param ctx the parse tree
     */
    enterReturnClause?: (ctx: ReturnClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.returnClause`.
     * @param ctx the parse tree
     */
    exitReturnClause?: (ctx: ReturnClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.returnBody`.
     * @param ctx the parse tree
     */
    enterReturnBody?: (ctx: ReturnBodyContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.returnBody`.
     * @param ctx the parse tree
     */
    exitReturnBody?: (ctx: ReturnBodyContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.returnItem`.
     * @param ctx the parse tree
     */
    enterReturnItem?: (ctx: ReturnItemContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.returnItem`.
     * @param ctx the parse tree
     */
    exitReturnItem?: (ctx: ReturnItemContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.returnItems`.
     * @param ctx the parse tree
     */
    enterReturnItems?: (ctx: ReturnItemsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.returnItems`.
     * @param ctx the parse tree
     */
    exitReturnItems?: (ctx: ReturnItemsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.orderItem`.
     * @param ctx the parse tree
     */
    enterOrderItem?: (ctx: OrderItemContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.orderItem`.
     * @param ctx the parse tree
     */
    exitOrderItem?: (ctx: OrderItemContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.skip`.
     * @param ctx the parse tree
     */
    enterSkip?: (ctx: SkipContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.skip`.
     * @param ctx the parse tree
     */
    exitSkip?: (ctx: SkipContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.limit`.
     * @param ctx the parse tree
     */
    enterLimit?: (ctx: LimitContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.limit`.
     * @param ctx the parse tree
     */
    exitLimit?: (ctx: LimitContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.whereClause`.
     * @param ctx the parse tree
     */
    enterWhereClause?: (ctx: WhereClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.whereClause`.
     * @param ctx the parse tree
     */
    exitWhereClause?: (ctx: WhereClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.withClause`.
     * @param ctx the parse tree
     */
    enterWithClause?: (ctx: WithClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.withClause`.
     * @param ctx the parse tree
     */
    exitWithClause?: (ctx: WithClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createClause`.
     * @param ctx the parse tree
     */
    enterCreateClause?: (ctx: CreateClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createClause`.
     * @param ctx the parse tree
     */
    exitCreateClause?: (ctx: CreateClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.setClause`.
     * @param ctx the parse tree
     */
    enterSetClause?: (ctx: SetClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.setClause`.
     * @param ctx the parse tree
     */
    exitSetClause?: (ctx: SetClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     */
    enterSetItem?: (ctx: SetItemContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     */
    exitSetItem?: (ctx: SetItemContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.removeClause`.
     * @param ctx the parse tree
     */
    enterRemoveClause?: (ctx: RemoveClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.removeClause`.
     * @param ctx the parse tree
     */
    exitRemoveClause?: (ctx: RemoveClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.removeItem`.
     * @param ctx the parse tree
     */
    enterRemoveItem?: (ctx: RemoveItemContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.removeItem`.
     * @param ctx the parse tree
     */
    exitRemoveItem?: (ctx: RemoveItemContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.deleteClause`.
     * @param ctx the parse tree
     */
    enterDeleteClause?: (ctx: DeleteClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.deleteClause`.
     * @param ctx the parse tree
     */
    exitDeleteClause?: (ctx: DeleteClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.matchClause`.
     * @param ctx the parse tree
     */
    enterMatchClause?: (ctx: MatchClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.matchClause`.
     * @param ctx the parse tree
     */
    exitMatchClause?: (ctx: MatchClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.matchMode`.
     * @param ctx the parse tree
     */
    enterMatchMode?: (ctx: MatchModeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.matchMode`.
     * @param ctx the parse tree
     */
    exitMatchMode?: (ctx: MatchModeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.hints`.
     * @param ctx the parse tree
     */
    enterHints?: (ctx: HintsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.hints`.
     * @param ctx the parse tree
     */
    exitHints?: (ctx: HintsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.indexHintBody`.
     * @param ctx the parse tree
     */
    enterIndexHintBody?: (ctx: IndexHintBodyContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.indexHintBody`.
     * @param ctx the parse tree
     */
    exitIndexHintBody?: (ctx: IndexHintBodyContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.mergeClause`.
     * @param ctx the parse tree
     */
    enterMergeClause?: (ctx: MergeClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.mergeClause`.
     * @param ctx the parse tree
     */
    exitMergeClause?: (ctx: MergeClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.unwindClause`.
     * @param ctx the parse tree
     */
    enterUnwindClause?: (ctx: UnwindClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.unwindClause`.
     * @param ctx the parse tree
     */
    exitUnwindClause?: (ctx: UnwindClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.callClause`.
     * @param ctx the parse tree
     */
    enterCallClause?: (ctx: CallClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.callClause`.
     * @param ctx the parse tree
     */
    exitCallClause?: (ctx: CallClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.procedureName`.
     * @param ctx the parse tree
     */
    enterProcedureName?: (ctx: ProcedureNameContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.procedureName`.
     * @param ctx the parse tree
     */
    exitProcedureName?: (ctx: ProcedureNameContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.procedureArgument`.
     * @param ctx the parse tree
     */
    enterProcedureArgument?: (ctx: ProcedureArgumentContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.procedureArgument`.
     * @param ctx the parse tree
     */
    exitProcedureArgument?: (ctx: ProcedureArgumentContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.procedureResultItem`.
     * @param ctx the parse tree
     */
    enterProcedureResultItem?: (ctx: ProcedureResultItemContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.procedureResultItem`.
     * @param ctx the parse tree
     */
    exitProcedureResultItem?: (ctx: ProcedureResultItemContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.loadCSVClause`.
     * @param ctx the parse tree
     */
    enterLoadCSVClause?: (ctx: LoadCSVClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.loadCSVClause`.
     * @param ctx the parse tree
     */
    exitLoadCSVClause?: (ctx: LoadCSVClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.foreachClause`.
     * @param ctx the parse tree
     */
    enterForeachClause?: (ctx: ForeachClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.foreachClause`.
     * @param ctx the parse tree
     */
    exitForeachClause?: (ctx: ForeachClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.subqueryClause`.
     * @param ctx the parse tree
     */
    enterSubqueryClause?: (ctx: SubqueryClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.subqueryClause`.
     * @param ctx the parse tree
     */
    exitSubqueryClause?: (ctx: SubqueryClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.subqueryInTransactionsParameters`.
     * @param ctx the parse tree
     */
    enterSubqueryInTransactionsParameters?: (ctx: SubqueryInTransactionsParametersContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.subqueryInTransactionsParameters`.
     * @param ctx the parse tree
     */
    exitSubqueryInTransactionsParameters?: (ctx: SubqueryInTransactionsParametersContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.subqueryInTransactionsBatchParameters`.
     * @param ctx the parse tree
     */
    enterSubqueryInTransactionsBatchParameters?: (ctx: SubqueryInTransactionsBatchParametersContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.subqueryInTransactionsBatchParameters`.
     * @param ctx the parse tree
     */
    exitSubqueryInTransactionsBatchParameters?: (ctx: SubqueryInTransactionsBatchParametersContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.subqueryInTransactionsErrorParameters`.
     * @param ctx the parse tree
     */
    enterSubqueryInTransactionsErrorParameters?: (ctx: SubqueryInTransactionsErrorParametersContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.subqueryInTransactionsErrorParameters`.
     * @param ctx the parse tree
     */
    exitSubqueryInTransactionsErrorParameters?: (ctx: SubqueryInTransactionsErrorParametersContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.subqueryInTransactionsReportParameters`.
     * @param ctx the parse tree
     */
    enterSubqueryInTransactionsReportParameters?: (ctx: SubqueryInTransactionsReportParametersContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.subqueryInTransactionsReportParameters`.
     * @param ctx the parse tree
     */
    exitSubqueryInTransactionsReportParameters?: (ctx: SubqueryInTransactionsReportParametersContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.patternList`.
     * @param ctx the parse tree
     */
    enterPatternList?: (ctx: PatternListContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.patternList`.
     * @param ctx the parse tree
     */
    exitPatternList?: (ctx: PatternListContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.pattern`.
     * @param ctx the parse tree
     */
    enterPattern?: (ctx: PatternContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.pattern`.
     * @param ctx the parse tree
     */
    exitPattern?: (ctx: PatternContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.quantifier`.
     * @param ctx the parse tree
     */
    enterQuantifier?: (ctx: QuantifierContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.quantifier`.
     * @param ctx the parse tree
     */
    exitQuantifier?: (ctx: QuantifierContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.anonymousPattern`.
     * @param ctx the parse tree
     */
    enterAnonymousPattern?: (ctx: AnonymousPatternContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.anonymousPattern`.
     * @param ctx the parse tree
     */
    exitAnonymousPattern?: (ctx: AnonymousPatternContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.shortestPathPattern`.
     * @param ctx the parse tree
     */
    enterShortestPathPattern?: (ctx: ShortestPathPatternContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.shortestPathPattern`.
     * @param ctx the parse tree
     */
    exitShortestPathPattern?: (ctx: ShortestPathPatternContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.maybeQuantifiedRelationshipPattern`.
     * @param ctx the parse tree
     */
    enterMaybeQuantifiedRelationshipPattern?: (ctx: MaybeQuantifiedRelationshipPatternContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.maybeQuantifiedRelationshipPattern`.
     * @param ctx the parse tree
     */
    exitMaybeQuantifiedRelationshipPattern?: (ctx: MaybeQuantifiedRelationshipPatternContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.patternElement`.
     * @param ctx the parse tree
     */
    enterPatternElement?: (ctx: PatternElementContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.patternElement`.
     * @param ctx the parse tree
     */
    exitPatternElement?: (ctx: PatternElementContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.pathPatternAtoms`.
     * @param ctx the parse tree
     */
    enterPathPatternAtoms?: (ctx: PathPatternAtomsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.pathPatternAtoms`.
     * @param ctx the parse tree
     */
    exitPathPatternAtoms?: (ctx: PathPatternAtomsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.selector`.
     * @param ctx the parse tree
     */
    enterSelector?: (ctx: SelectorContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.selector`.
     * @param ctx the parse tree
     */
    exitSelector?: (ctx: SelectorContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.pathPatternNonEmpty`.
     * @param ctx the parse tree
     */
    enterPathPatternNonEmpty?: (ctx: PathPatternNonEmptyContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.pathPatternNonEmpty`.
     * @param ctx the parse tree
     */
    exitPathPatternNonEmpty?: (ctx: PathPatternNonEmptyContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.nodePattern`.
     * @param ctx the parse tree
     */
    enterNodePattern?: (ctx: NodePatternContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.nodePattern`.
     * @param ctx the parse tree
     */
    exitNodePattern?: (ctx: NodePatternContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.parenthesizedPath`.
     * @param ctx the parse tree
     */
    enterParenthesizedPath?: (ctx: ParenthesizedPathContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.parenthesizedPath`.
     * @param ctx the parse tree
     */
    exitParenthesizedPath?: (ctx: ParenthesizedPathContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.nodeLabels`.
     * @param ctx the parse tree
     */
    enterNodeLabels?: (ctx: NodeLabelsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.nodeLabels`.
     * @param ctx the parse tree
     */
    exitNodeLabels?: (ctx: NodeLabelsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelExpressionPredicate`.
     * @param ctx the parse tree
     */
    enterLabelExpressionPredicate?: (ctx: LabelExpressionPredicateContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelExpressionPredicate`.
     * @param ctx the parse tree
     */
    exitLabelExpressionPredicate?: (ctx: LabelExpressionPredicateContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelOrRelType`.
     * @param ctx the parse tree
     */
    enterLabelOrRelType?: (ctx: LabelOrRelTypeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelOrRelType`.
     * @param ctx the parse tree
     */
    exitLabelOrRelType?: (ctx: LabelOrRelTypeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelOrRelTypes`.
     * @param ctx the parse tree
     */
    enterLabelOrRelTypes?: (ctx: LabelOrRelTypesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelOrRelTypes`.
     * @param ctx the parse tree
     */
    exitLabelOrRelTypes?: (ctx: LabelOrRelTypesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.properties`.
     * @param ctx the parse tree
     */
    enterProperties?: (ctx: PropertiesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.properties`.
     * @param ctx the parse tree
     */
    exitProperties?: (ctx: PropertiesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.relationshipPattern`.
     * @param ctx the parse tree
     */
    enterRelationshipPattern?: (ctx: RelationshipPatternContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.relationshipPattern`.
     * @param ctx the parse tree
     */
    exitRelationshipPattern?: (ctx: RelationshipPatternContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.leftArrow`.
     * @param ctx the parse tree
     */
    enterLeftArrow?: (ctx: LeftArrowContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.leftArrow`.
     * @param ctx the parse tree
     */
    exitLeftArrow?: (ctx: LeftArrowContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.arrowLine`.
     * @param ctx the parse tree
     */
    enterArrowLine?: (ctx: ArrowLineContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.arrowLine`.
     * @param ctx the parse tree
     */
    exitArrowLine?: (ctx: ArrowLineContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.rightArrow`.
     * @param ctx the parse tree
     */
    enterRightArrow?: (ctx: RightArrowContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.rightArrow`.
     * @param ctx the parse tree
     */
    exitRightArrow?: (ctx: RightArrowContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.pathLength`.
     * @param ctx the parse tree
     */
    enterPathLength?: (ctx: PathLengthContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.pathLength`.
     * @param ctx the parse tree
     */
    exitPathLength?: (ctx: PathLengthContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.pathLengthLiteral`.
     * @param ctx the parse tree
     */
    enterPathLengthLiteral?: (ctx: PathLengthLiteralContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.pathLengthLiteral`.
     * @param ctx the parse tree
     */
    exitPathLengthLiteral?: (ctx: PathLengthLiteralContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelExpression`.
     * @param ctx the parse tree
     */
    enterLabelExpression?: (ctx: LabelExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelExpression`.
     * @param ctx the parse tree
     */
    exitLabelExpression?: (ctx: LabelExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelExpression4`.
     * @param ctx the parse tree
     */
    enterLabelExpression4?: (ctx: LabelExpression4Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelExpression4`.
     * @param ctx the parse tree
     */
    exitLabelExpression4?: (ctx: LabelExpression4Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelExpression4Is`.
     * @param ctx the parse tree
     */
    enterLabelExpression4Is?: (ctx: LabelExpression4IsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelExpression4Is`.
     * @param ctx the parse tree
     */
    exitLabelExpression4Is?: (ctx: LabelExpression4IsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelExpression3`.
     * @param ctx the parse tree
     */
    enterLabelExpression3?: (ctx: LabelExpression3Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelExpression3`.
     * @param ctx the parse tree
     */
    exitLabelExpression3?: (ctx: LabelExpression3Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelExpression3Is`.
     * @param ctx the parse tree
     */
    enterLabelExpression3Is?: (ctx: LabelExpression3IsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelExpression3Is`.
     * @param ctx the parse tree
     */
    exitLabelExpression3Is?: (ctx: LabelExpression3IsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelExpression2`.
     * @param ctx the parse tree
     */
    enterLabelExpression2?: (ctx: LabelExpression2Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelExpression2`.
     * @param ctx the parse tree
     */
    exitLabelExpression2?: (ctx: LabelExpression2Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelExpression2Is`.
     * @param ctx the parse tree
     */
    enterLabelExpression2Is?: (ctx: LabelExpression2IsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelExpression2Is`.
     * @param ctx the parse tree
     */
    exitLabelExpression2Is?: (ctx: LabelExpression2IsContext) => void;
    /**
     * Enter a parse tree produced by the `ParenthesizedLabelExpression`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     */
    enterParenthesizedLabelExpression?: (ctx: ParenthesizedLabelExpressionContext) => void;
    /**
     * Exit a parse tree produced by the `ParenthesizedLabelExpression`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     */
    exitParenthesizedLabelExpression?: (ctx: ParenthesizedLabelExpressionContext) => void;
    /**
     * Enter a parse tree produced by the `AnyLabel`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     */
    enterAnyLabel?: (ctx: AnyLabelContext) => void;
    /**
     * Exit a parse tree produced by the `AnyLabel`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     */
    exitAnyLabel?: (ctx: AnyLabelContext) => void;
    /**
     * Enter a parse tree produced by the `LabelName`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     */
    enterLabelName?: (ctx: LabelNameContext) => void;
    /**
     * Exit a parse tree produced by the `LabelName`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     */
    exitLabelName?: (ctx: LabelNameContext) => void;
    /**
     * Enter a parse tree produced by the `ParenthesizedLabelExpressionIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     */
    enterParenthesizedLabelExpressionIs?: (ctx: ParenthesizedLabelExpressionIsContext) => void;
    /**
     * Exit a parse tree produced by the `ParenthesizedLabelExpressionIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     */
    exitParenthesizedLabelExpressionIs?: (ctx: ParenthesizedLabelExpressionIsContext) => void;
    /**
     * Enter a parse tree produced by the `AnyLabelIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     */
    enterAnyLabelIs?: (ctx: AnyLabelIsContext) => void;
    /**
     * Exit a parse tree produced by the `AnyLabelIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     */
    exitAnyLabelIs?: (ctx: AnyLabelIsContext) => void;
    /**
     * Enter a parse tree produced by the `LabelNameIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     */
    enterLabelNameIs?: (ctx: LabelNameIsContext) => void;
    /**
     * Exit a parse tree produced by the `LabelNameIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     */
    exitLabelNameIs?: (ctx: LabelNameIsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression`.
     * @param ctx the parse tree
     */
    enterExpression?: (ctx: ExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression`.
     * @param ctx the parse tree
     */
    exitExpression?: (ctx: ExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression12`.
     * @param ctx the parse tree
     */
    enterExpression12?: (ctx: Expression12Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression12`.
     * @param ctx the parse tree
     */
    exitExpression12?: (ctx: Expression12Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression11`.
     * @param ctx the parse tree
     */
    enterExpression11?: (ctx: Expression11Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression11`.
     * @param ctx the parse tree
     */
    exitExpression11?: (ctx: Expression11Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression10`.
     * @param ctx the parse tree
     */
    enterExpression10?: (ctx: Expression10Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression10`.
     * @param ctx the parse tree
     */
    exitExpression10?: (ctx: Expression10Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression9`.
     * @param ctx the parse tree
     */
    enterExpression9?: (ctx: Expression9Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression9`.
     * @param ctx the parse tree
     */
    exitExpression9?: (ctx: Expression9Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression8`.
     * @param ctx the parse tree
     */
    enterExpression8?: (ctx: Expression8Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression8`.
     * @param ctx the parse tree
     */
    exitExpression8?: (ctx: Expression8Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression7`.
     * @param ctx the parse tree
     */
    enterExpression7?: (ctx: Expression7Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression7`.
     * @param ctx the parse tree
     */
    exitExpression7?: (ctx: Expression7Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     */
    enterComparisonExpression6?: (ctx: ComparisonExpression6Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     */
    exitComparisonExpression6?: (ctx: ComparisonExpression6Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression6`.
     * @param ctx the parse tree
     */
    enterExpression6?: (ctx: Expression6Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression6`.
     * @param ctx the parse tree
     */
    exitExpression6?: (ctx: Expression6Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression5`.
     * @param ctx the parse tree
     */
    enterExpression5?: (ctx: Expression5Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression5`.
     * @param ctx the parse tree
     */
    exitExpression5?: (ctx: Expression5Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression4`.
     * @param ctx the parse tree
     */
    enterExpression4?: (ctx: Expression4Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression4`.
     * @param ctx the parse tree
     */
    exitExpression4?: (ctx: Expression4Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression3`.
     * @param ctx the parse tree
     */
    enterExpression3?: (ctx: Expression3Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression3`.
     * @param ctx the parse tree
     */
    exitExpression3?: (ctx: Expression3Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression2`.
     * @param ctx the parse tree
     */
    enterExpression2?: (ctx: Expression2Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression2`.
     * @param ctx the parse tree
     */
    exitExpression2?: (ctx: Expression2Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.postFix1`.
     * @param ctx the parse tree
     */
    enterPostFix1?: (ctx: PostFix1Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.postFix1`.
     * @param ctx the parse tree
     */
    exitPostFix1?: (ctx: PostFix1Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.property`.
     * @param ctx the parse tree
     */
    enterProperty?: (ctx: PropertyContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.property`.
     * @param ctx the parse tree
     */
    exitProperty?: (ctx: PropertyContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.propertyExpression`.
     * @param ctx the parse tree
     */
    enterPropertyExpression?: (ctx: PropertyExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.propertyExpression`.
     * @param ctx the parse tree
     */
    exitPropertyExpression?: (ctx: PropertyExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.expression1`.
     * @param ctx the parse tree
     */
    enterExpression1?: (ctx: Expression1Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.expression1`.
     * @param ctx the parse tree
     */
    exitExpression1?: (ctx: Expression1Context) => void;
    /**
     * Enter a parse tree produced by the `NummericLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    enterNummericLiteral?: (ctx: NummericLiteralContext) => void;
    /**
     * Exit a parse tree produced by the `NummericLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    exitNummericLiteral?: (ctx: NummericLiteralContext) => void;
    /**
     * Enter a parse tree produced by the `StringsLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    enterStringsLiteral?: (ctx: StringsLiteralContext) => void;
    /**
     * Exit a parse tree produced by the `StringsLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    exitStringsLiteral?: (ctx: StringsLiteralContext) => void;
    /**
     * Enter a parse tree produced by the `OtherLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    enterOtherLiteral?: (ctx: OtherLiteralContext) => void;
    /**
     * Exit a parse tree produced by the `OtherLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    exitOtherLiteral?: (ctx: OtherLiteralContext) => void;
    /**
     * Enter a parse tree produced by the `BooleanLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    enterBooleanLiteral?: (ctx: BooleanLiteralContext) => void;
    /**
     * Exit a parse tree produced by the `BooleanLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    exitBooleanLiteral?: (ctx: BooleanLiteralContext) => void;
    /**
     * Enter a parse tree produced by the `KeywordLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    enterKeywordLiteral?: (ctx: KeywordLiteralContext) => void;
    /**
     * Exit a parse tree produced by the `KeywordLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     */
    exitKeywordLiteral?: (ctx: KeywordLiteralContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.caseExpression`.
     * @param ctx the parse tree
     */
    enterCaseExpression?: (ctx: CaseExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.caseExpression`.
     * @param ctx the parse tree
     */
    exitCaseExpression?: (ctx: CaseExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.listComprehension`.
     * @param ctx the parse tree
     */
    enterListComprehension?: (ctx: ListComprehensionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.listComprehension`.
     * @param ctx the parse tree
     */
    exitListComprehension?: (ctx: ListComprehensionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.listComprehensionWhereAndBar`.
     * @param ctx the parse tree
     */
    enterListComprehensionWhereAndBar?: (ctx: ListComprehensionWhereAndBarContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.listComprehensionWhereAndBar`.
     * @param ctx the parse tree
     */
    exitListComprehensionWhereAndBar?: (ctx: ListComprehensionWhereAndBarContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.patternComprehension`.
     * @param ctx the parse tree
     */
    enterPatternComprehension?: (ctx: PatternComprehensionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.patternComprehension`.
     * @param ctx the parse tree
     */
    exitPatternComprehension?: (ctx: PatternComprehensionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.reduceExpression`.
     * @param ctx the parse tree
     */
    enterReduceExpression?: (ctx: ReduceExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.reduceExpression`.
     * @param ctx the parse tree
     */
    exitReduceExpression?: (ctx: ReduceExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.allExpression`.
     * @param ctx the parse tree
     */
    enterAllExpression?: (ctx: AllExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.allExpression`.
     * @param ctx the parse tree
     */
    exitAllExpression?: (ctx: AllExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.anyExpression`.
     * @param ctx the parse tree
     */
    enterAnyExpression?: (ctx: AnyExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.anyExpression`.
     * @param ctx the parse tree
     */
    exitAnyExpression?: (ctx: AnyExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.noneExpression`.
     * @param ctx the parse tree
     */
    enterNoneExpression?: (ctx: NoneExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.noneExpression`.
     * @param ctx the parse tree
     */
    exitNoneExpression?: (ctx: NoneExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.singleExpression`.
     * @param ctx the parse tree
     */
    enterSingleExpression?: (ctx: SingleExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.singleExpression`.
     * @param ctx the parse tree
     */
    exitSingleExpression?: (ctx: SingleExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.patternExpression`.
     * @param ctx the parse tree
     */
    enterPatternExpression?: (ctx: PatternExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.patternExpression`.
     * @param ctx the parse tree
     */
    exitPatternExpression?: (ctx: PatternExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.shortestPathExpression`.
     * @param ctx the parse tree
     */
    enterShortestPathExpression?: (ctx: ShortestPathExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.shortestPathExpression`.
     * @param ctx the parse tree
     */
    exitShortestPathExpression?: (ctx: ShortestPathExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.mapProjection`.
     * @param ctx the parse tree
     */
    enterMapProjection?: (ctx: MapProjectionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.mapProjection`.
     * @param ctx the parse tree
     */
    exitMapProjection?: (ctx: MapProjectionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.mapProjectionItem`.
     * @param ctx the parse tree
     */
    enterMapProjectionItem?: (ctx: MapProjectionItemContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.mapProjectionItem`.
     * @param ctx the parse tree
     */
    exitMapProjectionItem?: (ctx: MapProjectionItemContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.existsExpression`.
     * @param ctx the parse tree
     */
    enterExistsExpression?: (ctx: ExistsExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.existsExpression`.
     * @param ctx the parse tree
     */
    exitExistsExpression?: (ctx: ExistsExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.countExpression`.
     * @param ctx the parse tree
     */
    enterCountExpression?: (ctx: CountExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.countExpression`.
     * @param ctx the parse tree
     */
    exitCountExpression?: (ctx: CountExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.collectExpression`.
     * @param ctx the parse tree
     */
    enterCollectExpression?: (ctx: CollectExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.collectExpression`.
     * @param ctx the parse tree
     */
    exitCollectExpression?: (ctx: CollectExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.stringLiteral`.
     * @param ctx the parse tree
     */
    enterStringLiteral?: (ctx: StringLiteralContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.stringLiteral`.
     * @param ctx the parse tree
     */
    exitStringLiteral?: (ctx: StringLiteralContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.numberLiteral`.
     * @param ctx the parse tree
     */
    enterNumberLiteral?: (ctx: NumberLiteralContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.numberLiteral`.
     * @param ctx the parse tree
     */
    exitNumberLiteral?: (ctx: NumberLiteralContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.signedIntegerLiteral`.
     * @param ctx the parse tree
     */
    enterSignedIntegerLiteral?: (ctx: SignedIntegerLiteralContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.signedIntegerLiteral`.
     * @param ctx the parse tree
     */
    exitSignedIntegerLiteral?: (ctx: SignedIntegerLiteralContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.listLiteral`.
     * @param ctx the parse tree
     */
    enterListLiteral?: (ctx: ListLiteralContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.listLiteral`.
     * @param ctx the parse tree
     */
    exitListLiteral?: (ctx: ListLiteralContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.mapLiteral`.
     * @param ctx the parse tree
     */
    enterMapLiteral?: (ctx: MapLiteralContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.mapLiteral`.
     * @param ctx the parse tree
     */
    exitMapLiteral?: (ctx: MapLiteralContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.propertyKeyName`.
     * @param ctx the parse tree
     */
    enterPropertyKeyName?: (ctx: PropertyKeyNameContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.propertyKeyName`.
     * @param ctx the parse tree
     */
    exitPropertyKeyName?: (ctx: PropertyKeyNameContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.parameter`.
     * @param ctx the parse tree
     */
    enterParameter?: (ctx: ParameterContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.parameter`.
     * @param ctx the parse tree
     */
    exitParameter?: (ctx: ParameterContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.parameterName`.
     * @param ctx the parse tree
     */
    enterParameterName?: (ctx: ParameterNameContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.parameterName`.
     * @param ctx the parse tree
     */
    exitParameterName?: (ctx: ParameterNameContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.functionInvocation`.
     * @param ctx the parse tree
     */
    enterFunctionInvocation?: (ctx: FunctionInvocationContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.functionInvocation`.
     * @param ctx the parse tree
     */
    exitFunctionInvocation?: (ctx: FunctionInvocationContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.functionName`.
     * @param ctx the parse tree
     */
    enterFunctionName?: (ctx: FunctionNameContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.functionName`.
     * @param ctx the parse tree
     */
    exitFunctionName?: (ctx: FunctionNameContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.functionArgument`.
     * @param ctx the parse tree
     */
    enterFunctionArgument?: (ctx: FunctionArgumentContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.functionArgument`.
     * @param ctx the parse tree
     */
    exitFunctionArgument?: (ctx: FunctionArgumentContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.namespace`.
     * @param ctx the parse tree
     */
    enterNamespace?: (ctx: NamespaceContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.namespace`.
     * @param ctx the parse tree
     */
    exitNamespace?: (ctx: NamespaceContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.variableList1`.
     * @param ctx the parse tree
     */
    enterVariableList1?: (ctx: VariableList1Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.variableList1`.
     * @param ctx the parse tree
     */
    exitVariableList1?: (ctx: VariableList1Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.variable`.
     * @param ctx the parse tree
     */
    enterVariable?: (ctx: VariableContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.variable`.
     * @param ctx the parse tree
     */
    exitVariable?: (ctx: VariableContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.symbolicNameList1`.
     * @param ctx the parse tree
     */
    enterSymbolicNameList1?: (ctx: SymbolicNameList1Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.symbolicNameList1`.
     * @param ctx the parse tree
     */
    exitSymbolicNameList1?: (ctx: SymbolicNameList1Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createCommand`.
     * @param ctx the parse tree
     */
    enterCreateCommand?: (ctx: CreateCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createCommand`.
     * @param ctx the parse tree
     */
    exitCreateCommand?: (ctx: CreateCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.command`.
     * @param ctx the parse tree
     */
    enterCommand?: (ctx: CommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.command`.
     * @param ctx the parse tree
     */
    exitCommand?: (ctx: CommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.commandWithUseGraph`.
     * @param ctx the parse tree
     */
    enterCommandWithUseGraph?: (ctx: CommandWithUseGraphContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.commandWithUseGraph`.
     * @param ctx the parse tree
     */
    exitCommandWithUseGraph?: (ctx: CommandWithUseGraphContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropCommand`.
     * @param ctx the parse tree
     */
    enterDropCommand?: (ctx: DropCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropCommand`.
     * @param ctx the parse tree
     */
    exitDropCommand?: (ctx: DropCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.alterCommand`.
     * @param ctx the parse tree
     */
    enterAlterCommand?: (ctx: AlterCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.alterCommand`.
     * @param ctx the parse tree
     */
    exitAlterCommand?: (ctx: AlterCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showCommand`.
     * @param ctx the parse tree
     */
    enterShowCommand?: (ctx: ShowCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showCommand`.
     * @param ctx the parse tree
     */
    exitShowCommand?: (ctx: ShowCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.terminateCommand`.
     * @param ctx the parse tree
     */
    enterTerminateCommand?: (ctx: TerminateCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.terminateCommand`.
     * @param ctx the parse tree
     */
    exitTerminateCommand?: (ctx: TerminateCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showAllCommand`.
     * @param ctx the parse tree
     */
    enterShowAllCommand?: (ctx: ShowAllCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showAllCommand`.
     * @param ctx the parse tree
     */
    exitShowAllCommand?: (ctx: ShowAllCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showNodeCommand`.
     * @param ctx the parse tree
     */
    enterShowNodeCommand?: (ctx: ShowNodeCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showNodeCommand`.
     * @param ctx the parse tree
     */
    exitShowNodeCommand?: (ctx: ShowNodeCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showRelationshipCommand`.
     * @param ctx the parse tree
     */
    enterShowRelationshipCommand?: (ctx: ShowRelationshipCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showRelationshipCommand`.
     * @param ctx the parse tree
     */
    exitShowRelationshipCommand?: (ctx: ShowRelationshipCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showRelCommand`.
     * @param ctx the parse tree
     */
    enterShowRelCommand?: (ctx: ShowRelCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showRelCommand`.
     * @param ctx the parse tree
     */
    exitShowRelCommand?: (ctx: ShowRelCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showPropertyCommand`.
     * @param ctx the parse tree
     */
    enterShowPropertyCommand?: (ctx: ShowPropertyCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showPropertyCommand`.
     * @param ctx the parse tree
     */
    exitShowPropertyCommand?: (ctx: ShowPropertyCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.yieldItem`.
     * @param ctx the parse tree
     */
    enterYieldItem?: (ctx: YieldItemContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.yieldItem`.
     * @param ctx the parse tree
     */
    exitYieldItem?: (ctx: YieldItemContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.yieldClause`.
     * @param ctx the parse tree
     */
    enterYieldClause?: (ctx: YieldClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.yieldClause`.
     * @param ctx the parse tree
     */
    exitYieldClause?: (ctx: YieldClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showIndexesAllowBrief`.
     * @param ctx the parse tree
     */
    enterShowIndexesAllowBrief?: (ctx: ShowIndexesAllowBriefContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showIndexesAllowBrief`.
     * @param ctx the parse tree
     */
    exitShowIndexesAllowBrief?: (ctx: ShowIndexesAllowBriefContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showIndexesNoBrief`.
     * @param ctx the parse tree
     */
    enterShowIndexesNoBrief?: (ctx: ShowIndexesNoBriefContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showIndexesNoBrief`.
     * @param ctx the parse tree
     */
    exitShowIndexesNoBrief?: (ctx: ShowIndexesNoBriefContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showConstraintsAllowBriefAndYield`.
     * @param ctx the parse tree
     */
    enterShowConstraintsAllowBriefAndYield?: (ctx: ShowConstraintsAllowBriefAndYieldContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showConstraintsAllowBriefAndYield`.
     * @param ctx the parse tree
     */
    exitShowConstraintsAllowBriefAndYield?: (ctx: ShowConstraintsAllowBriefAndYieldContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showConstraintsAllowBrief`.
     * @param ctx the parse tree
     */
    enterShowConstraintsAllowBrief?: (ctx: ShowConstraintsAllowBriefContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showConstraintsAllowBrief`.
     * @param ctx the parse tree
     */
    exitShowConstraintsAllowBrief?: (ctx: ShowConstraintsAllowBriefContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showConstraintsAllowYield`.
     * @param ctx the parse tree
     */
    enterShowConstraintsAllowYield?: (ctx: ShowConstraintsAllowYieldContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showConstraintsAllowYield`.
     * @param ctx the parse tree
     */
    exitShowConstraintsAllowYield?: (ctx: ShowConstraintsAllowYieldContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showProcedures`.
     * @param ctx the parse tree
     */
    enterShowProcedures?: (ctx: ShowProceduresContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showProcedures`.
     * @param ctx the parse tree
     */
    exitShowProcedures?: (ctx: ShowProceduresContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showFunctions`.
     * @param ctx the parse tree
     */
    enterShowFunctions?: (ctx: ShowFunctionsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showFunctions`.
     * @param ctx the parse tree
     */
    exitShowFunctions?: (ctx: ShowFunctionsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showTransactions`.
     * @param ctx the parse tree
     */
    enterShowTransactions?: (ctx: ShowTransactionsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showTransactions`.
     * @param ctx the parse tree
     */
    exitShowTransactions?: (ctx: ShowTransactionsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.terminateTransactions`.
     * @param ctx the parse tree
     */
    enterTerminateTransactions?: (ctx: TerminateTransactionsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.terminateTransactions`.
     * @param ctx the parse tree
     */
    exitTerminateTransactions?: (ctx: TerminateTransactionsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showOrTerminateTransactions`.
     * @param ctx the parse tree
     */
    enterShowOrTerminateTransactions?: (ctx: ShowOrTerminateTransactionsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showOrTerminateTransactions`.
     * @param ctx the parse tree
     */
    exitShowOrTerminateTransactions?: (ctx: ShowOrTerminateTransactionsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.stringsOrExpression`.
     * @param ctx the parse tree
     */
    enterStringsOrExpression?: (ctx: StringsOrExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.stringsOrExpression`.
     * @param ctx the parse tree
     */
    exitStringsOrExpression?: (ctx: StringsOrExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showSettings`.
     * @param ctx the parse tree
     */
    enterShowSettings?: (ctx: ShowSettingsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showSettings`.
     * @param ctx the parse tree
     */
    exitShowSettings?: (ctx: ShowSettingsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createConstraint`.
     * @param ctx the parse tree
     */
    enterCreateConstraint?: (ctx: CreateConstraintContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createConstraint`.
     * @param ctx the parse tree
     */
    exitCreateConstraint?: (ctx: CreateConstraintContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.cypherTypeName`.
     * @param ctx the parse tree
     */
    enterCypherTypeName?: (ctx: CypherTypeNameContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.cypherTypeName`.
     * @param ctx the parse tree
     */
    exitCypherTypeName?: (ctx: CypherTypeNameContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.cypherTypeNameList`.
     * @param ctx the parse tree
     */
    enterCypherTypeNameList?: (ctx: CypherTypeNameListContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.cypherTypeNameList`.
     * @param ctx the parse tree
     */
    exitCypherTypeNameList?: (ctx: CypherTypeNameListContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.cypherTypeNamePart`.
     * @param ctx the parse tree
     */
    enterCypherTypeNamePart?: (ctx: CypherTypeNamePartContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.cypherTypeNamePart`.
     * @param ctx the parse tree
     */
    exitCypherTypeNamePart?: (ctx: CypherTypeNamePartContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.constraintNodePattern`.
     * @param ctx the parse tree
     */
    enterConstraintNodePattern?: (ctx: ConstraintNodePatternContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.constraintNodePattern`.
     * @param ctx the parse tree
     */
    exitConstraintNodePattern?: (ctx: ConstraintNodePatternContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.constraintRelPattern`.
     * @param ctx the parse tree
     */
    enterConstraintRelPattern?: (ctx: ConstraintRelPatternContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.constraintRelPattern`.
     * @param ctx the parse tree
     */
    exitConstraintRelPattern?: (ctx: ConstraintRelPatternContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createConstraintNodeCheck`.
     * @param ctx the parse tree
     */
    enterCreateConstraintNodeCheck?: (ctx: CreateConstraintNodeCheckContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createConstraintNodeCheck`.
     * @param ctx the parse tree
     */
    exitCreateConstraintNodeCheck?: (ctx: CreateConstraintNodeCheckContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createConstraintRelCheck`.
     * @param ctx the parse tree
     */
    enterCreateConstraintRelCheck?: (ctx: CreateConstraintRelCheckContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createConstraintRelCheck`.
     * @param ctx the parse tree
     */
    exitCreateConstraintRelCheck?: (ctx: CreateConstraintRelCheckContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropConstraint`.
     * @param ctx the parse tree
     */
    enterDropConstraint?: (ctx: DropConstraintContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropConstraint`.
     * @param ctx the parse tree
     */
    exitDropConstraint?: (ctx: DropConstraintContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropConstraintNodeCheck`.
     * @param ctx the parse tree
     */
    enterDropConstraintNodeCheck?: (ctx: DropConstraintNodeCheckContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropConstraintNodeCheck`.
     * @param ctx the parse tree
     */
    exitDropConstraintNodeCheck?: (ctx: DropConstraintNodeCheckContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createIndex`.
     * @param ctx the parse tree
     */
    enterCreateIndex?: (ctx: CreateIndexContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createIndex`.
     * @param ctx the parse tree
     */
    exitCreateIndex?: (ctx: CreateIndexContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.oldCreateIndex`.
     * @param ctx the parse tree
     */
    enterOldCreateIndex?: (ctx: OldCreateIndexContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.oldCreateIndex`.
     * @param ctx the parse tree
     */
    exitOldCreateIndex?: (ctx: OldCreateIndexContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createIndex_`.
     * @param ctx the parse tree
     */
    enterCreateIndex_?: (ctx: CreateIndex_Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createIndex_`.
     * @param ctx the parse tree
     */
    exitCreateIndex_?: (ctx: CreateIndex_Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createFulltextIndex`.
     * @param ctx the parse tree
     */
    enterCreateFulltextIndex?: (ctx: CreateFulltextIndexContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createFulltextIndex`.
     * @param ctx the parse tree
     */
    exitCreateFulltextIndex?: (ctx: CreateFulltextIndexContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createLookupIndex`.
     * @param ctx the parse tree
     */
    enterCreateLookupIndex?: (ctx: CreateLookupIndexContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createLookupIndex`.
     * @param ctx the parse tree
     */
    exitCreateLookupIndex?: (ctx: CreateLookupIndexContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.lookupIndexFunctionName`.
     * @param ctx the parse tree
     */
    enterLookupIndexFunctionName?: (ctx: LookupIndexFunctionNameContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.lookupIndexFunctionName`.
     * @param ctx the parse tree
     */
    exitLookupIndexFunctionName?: (ctx: LookupIndexFunctionNameContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropIndex`.
     * @param ctx the parse tree
     */
    enterDropIndex?: (ctx: DropIndexContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropIndex`.
     * @param ctx the parse tree
     */
    exitDropIndex?: (ctx: DropIndexContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.propertyList`.
     * @param ctx the parse tree
     */
    enterPropertyList?: (ctx: PropertyListContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.propertyList`.
     * @param ctx the parse tree
     */
    exitPropertyList?: (ctx: PropertyListContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.renameCommand`.
     * @param ctx the parse tree
     */
    enterRenameCommand?: (ctx: RenameCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.renameCommand`.
     * @param ctx the parse tree
     */
    exitRenameCommand?: (ctx: RenameCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.grantCommand`.
     * @param ctx the parse tree
     */
    enterGrantCommand?: (ctx: GrantCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.grantCommand`.
     * @param ctx the parse tree
     */
    exitGrantCommand?: (ctx: GrantCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.revokeCommand`.
     * @param ctx the parse tree
     */
    enterRevokeCommand?: (ctx: RevokeCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.revokeCommand`.
     * @param ctx the parse tree
     */
    exitRevokeCommand?: (ctx: RevokeCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.enableServerCommand`.
     * @param ctx the parse tree
     */
    enterEnableServerCommand?: (ctx: EnableServerCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.enableServerCommand`.
     * @param ctx the parse tree
     */
    exitEnableServerCommand?: (ctx: EnableServerCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.alterServer`.
     * @param ctx the parse tree
     */
    enterAlterServer?: (ctx: AlterServerContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.alterServer`.
     * @param ctx the parse tree
     */
    exitAlterServer?: (ctx: AlterServerContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.renameServer`.
     * @param ctx the parse tree
     */
    enterRenameServer?: (ctx: RenameServerContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.renameServer`.
     * @param ctx the parse tree
     */
    exitRenameServer?: (ctx: RenameServerContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropServer`.
     * @param ctx the parse tree
     */
    enterDropServer?: (ctx: DropServerContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropServer`.
     * @param ctx the parse tree
     */
    exitDropServer?: (ctx: DropServerContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showServers`.
     * @param ctx the parse tree
     */
    enterShowServers?: (ctx: ShowServersContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showServers`.
     * @param ctx the parse tree
     */
    exitShowServers?: (ctx: ShowServersContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.allocationCommand`.
     * @param ctx the parse tree
     */
    enterAllocationCommand?: (ctx: AllocationCommandContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.allocationCommand`.
     * @param ctx the parse tree
     */
    exitAllocationCommand?: (ctx: AllocationCommandContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.deallocateDatabaseFromServers`.
     * @param ctx the parse tree
     */
    enterDeallocateDatabaseFromServers?: (ctx: DeallocateDatabaseFromServersContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.deallocateDatabaseFromServers`.
     * @param ctx the parse tree
     */
    exitDeallocateDatabaseFromServers?: (ctx: DeallocateDatabaseFromServersContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.reallocateDatabases`.
     * @param ctx the parse tree
     */
    enterReallocateDatabases?: (ctx: ReallocateDatabasesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.reallocateDatabases`.
     * @param ctx the parse tree
     */
    exitReallocateDatabases?: (ctx: ReallocateDatabasesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createRole`.
     * @param ctx the parse tree
     */
    enterCreateRole?: (ctx: CreateRoleContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createRole`.
     * @param ctx the parse tree
     */
    exitCreateRole?: (ctx: CreateRoleContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropRole`.
     * @param ctx the parse tree
     */
    enterDropRole?: (ctx: DropRoleContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropRole`.
     * @param ctx the parse tree
     */
    exitDropRole?: (ctx: DropRoleContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.renameRole`.
     * @param ctx the parse tree
     */
    enterRenameRole?: (ctx: RenameRoleContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.renameRole`.
     * @param ctx the parse tree
     */
    exitRenameRole?: (ctx: RenameRoleContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showRoles`.
     * @param ctx the parse tree
     */
    enterShowRoles?: (ctx: ShowRolesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showRoles`.
     * @param ctx the parse tree
     */
    exitShowRoles?: (ctx: ShowRolesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.grantRole`.
     * @param ctx the parse tree
     */
    enterGrantRole?: (ctx: GrantRoleContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.grantRole`.
     * @param ctx the parse tree
     */
    exitGrantRole?: (ctx: GrantRoleContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.revokeRole`.
     * @param ctx the parse tree
     */
    enterRevokeRole?: (ctx: RevokeRoleContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.revokeRole`.
     * @param ctx the parse tree
     */
    exitRevokeRole?: (ctx: RevokeRoleContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createUser`.
     * @param ctx the parse tree
     */
    enterCreateUser?: (ctx: CreateUserContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createUser`.
     * @param ctx the parse tree
     */
    exitCreateUser?: (ctx: CreateUserContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropUser`.
     * @param ctx the parse tree
     */
    enterDropUser?: (ctx: DropUserContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropUser`.
     * @param ctx the parse tree
     */
    exitDropUser?: (ctx: DropUserContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.renameUser`.
     * @param ctx the parse tree
     */
    enterRenameUser?: (ctx: RenameUserContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.renameUser`.
     * @param ctx the parse tree
     */
    exitRenameUser?: (ctx: RenameUserContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.alterCurrentUser`.
     * @param ctx the parse tree
     */
    enterAlterCurrentUser?: (ctx: AlterCurrentUserContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.alterCurrentUser`.
     * @param ctx the parse tree
     */
    exitAlterCurrentUser?: (ctx: AlterCurrentUserContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.alterUser`.
     * @param ctx the parse tree
     */
    enterAlterUser?: (ctx: AlterUserContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.alterUser`.
     * @param ctx the parse tree
     */
    exitAlterUser?: (ctx: AlterUserContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.setPassword`.
     * @param ctx the parse tree
     */
    enterSetPassword?: (ctx: SetPasswordContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.setPassword`.
     * @param ctx the parse tree
     */
    exitSetPassword?: (ctx: SetPasswordContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.passwordExpression`.
     * @param ctx the parse tree
     */
    enterPasswordExpression?: (ctx: PasswordExpressionContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.passwordExpression`.
     * @param ctx the parse tree
     */
    exitPasswordExpression?: (ctx: PasswordExpressionContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.passwordChangeRequired`.
     * @param ctx the parse tree
     */
    enterPasswordChangeRequired?: (ctx: PasswordChangeRequiredContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.passwordChangeRequired`.
     * @param ctx the parse tree
     */
    exitPasswordChangeRequired?: (ctx: PasswordChangeRequiredContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.userStatus`.
     * @param ctx the parse tree
     */
    enterUserStatus?: (ctx: UserStatusContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.userStatus`.
     * @param ctx the parse tree
     */
    exitUserStatus?: (ctx: UserStatusContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.homeDatabase`.
     * @param ctx the parse tree
     */
    enterHomeDatabase?: (ctx: HomeDatabaseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.homeDatabase`.
     * @param ctx the parse tree
     */
    exitHomeDatabase?: (ctx: HomeDatabaseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showUsers`.
     * @param ctx the parse tree
     */
    enterShowUsers?: (ctx: ShowUsersContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showUsers`.
     * @param ctx the parse tree
     */
    exitShowUsers?: (ctx: ShowUsersContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showCurrentUser`.
     * @param ctx the parse tree
     */
    enterShowCurrentUser?: (ctx: ShowCurrentUserContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showCurrentUser`.
     * @param ctx the parse tree
     */
    exitShowCurrentUser?: (ctx: ShowCurrentUserContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showSupportedPrivileges`.
     * @param ctx the parse tree
     */
    enterShowSupportedPrivileges?: (ctx: ShowSupportedPrivilegesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showSupportedPrivileges`.
     * @param ctx the parse tree
     */
    exitShowSupportedPrivileges?: (ctx: ShowSupportedPrivilegesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showPrivileges`.
     * @param ctx the parse tree
     */
    enterShowPrivileges?: (ctx: ShowPrivilegesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showPrivileges`.
     * @param ctx the parse tree
     */
    exitShowPrivileges?: (ctx: ShowPrivilegesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showRolePrivileges`.
     * @param ctx the parse tree
     */
    enterShowRolePrivileges?: (ctx: ShowRolePrivilegesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showRolePrivileges`.
     * @param ctx the parse tree
     */
    exitShowRolePrivileges?: (ctx: ShowRolePrivilegesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showUserPrivileges`.
     * @param ctx the parse tree
     */
    enterShowUserPrivileges?: (ctx: ShowUserPrivilegesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showUserPrivileges`.
     * @param ctx the parse tree
     */
    exitShowUserPrivileges?: (ctx: ShowUserPrivilegesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.grantRoleManagement`.
     * @param ctx the parse tree
     */
    enterGrantRoleManagement?: (ctx: GrantRoleManagementContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.grantRoleManagement`.
     * @param ctx the parse tree
     */
    exitGrantRoleManagement?: (ctx: GrantRoleManagementContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.revokeRoleManagement`.
     * @param ctx the parse tree
     */
    enterRevokeRoleManagement?: (ctx: RevokeRoleManagementContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.revokeRoleManagement`.
     * @param ctx the parse tree
     */
    exitRevokeRoleManagement?: (ctx: RevokeRoleManagementContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.roleManagementPrivilege`.
     * @param ctx the parse tree
     */
    enterRoleManagementPrivilege?: (ctx: RoleManagementPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.roleManagementPrivilege`.
     * @param ctx the parse tree
     */
    exitRoleManagementPrivilege?: (ctx: RoleManagementPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.grantPrivilege`.
     * @param ctx the parse tree
     */
    enterGrantPrivilege?: (ctx: GrantPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.grantPrivilege`.
     * @param ctx the parse tree
     */
    exitGrantPrivilege?: (ctx: GrantPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.denyPrivilege`.
     * @param ctx the parse tree
     */
    enterDenyPrivilege?: (ctx: DenyPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.denyPrivilege`.
     * @param ctx the parse tree
     */
    exitDenyPrivilege?: (ctx: DenyPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.revokePrivilege`.
     * @param ctx the parse tree
     */
    enterRevokePrivilege?: (ctx: RevokePrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.revokePrivilege`.
     * @param ctx the parse tree
     */
    exitRevokePrivilege?: (ctx: RevokePrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.privilege`.
     * @param ctx the parse tree
     */
    enterPrivilege?: (ctx: PrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.privilege`.
     * @param ctx the parse tree
     */
    exitPrivilege?: (ctx: PrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.allPrivilege`.
     * @param ctx the parse tree
     */
    enterAllPrivilege?: (ctx: AllPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.allPrivilege`.
     * @param ctx the parse tree
     */
    exitAllPrivilege?: (ctx: AllPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.allPrivilegeType`.
     * @param ctx the parse tree
     */
    enterAllPrivilegeType?: (ctx: AllPrivilegeTypeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.allPrivilegeType`.
     * @param ctx the parse tree
     */
    exitAllPrivilegeType?: (ctx: AllPrivilegeTypeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     */
    enterAllPrivilegeTarget?: (ctx: AllPrivilegeTargetContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     */
    exitAllPrivilegeTarget?: (ctx: AllPrivilegeTargetContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createPrivilege`.
     * @param ctx the parse tree
     */
    enterCreatePrivilege?: (ctx: CreatePrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createPrivilege`.
     * @param ctx the parse tree
     */
    exitCreatePrivilege?: (ctx: CreatePrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropPrivilege`.
     * @param ctx the parse tree
     */
    enterDropPrivilege?: (ctx: DropPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropPrivilege`.
     * @param ctx the parse tree
     */
    exitDropPrivilege?: (ctx: DropPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.loadPrivilege`.
     * @param ctx the parse tree
     */
    enterLoadPrivilege?: (ctx: LoadPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.loadPrivilege`.
     * @param ctx the parse tree
     */
    exitLoadPrivilege?: (ctx: LoadPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showPrivilege`.
     * @param ctx the parse tree
     */
    enterShowPrivilege?: (ctx: ShowPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showPrivilege`.
     * @param ctx the parse tree
     */
    exitShowPrivilege?: (ctx: ShowPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.setPrivilege`.
     * @param ctx the parse tree
     */
    enterSetPrivilege?: (ctx: SetPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.setPrivilege`.
     * @param ctx the parse tree
     */
    exitSetPrivilege?: (ctx: SetPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.removePrivilege`.
     * @param ctx the parse tree
     */
    enterRemovePrivilege?: (ctx: RemovePrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.removePrivilege`.
     * @param ctx the parse tree
     */
    exitRemovePrivilege?: (ctx: RemovePrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.writePrivilege`.
     * @param ctx the parse tree
     */
    enterWritePrivilege?: (ctx: WritePrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.writePrivilege`.
     * @param ctx the parse tree
     */
    exitWritePrivilege?: (ctx: WritePrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.databasePrivilege`.
     * @param ctx the parse tree
     */
    enterDatabasePrivilege?: (ctx: DatabasePrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.databasePrivilege`.
     * @param ctx the parse tree
     */
    exitDatabasePrivilege?: (ctx: DatabasePrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dbmsPrivilege`.
     * @param ctx the parse tree
     */
    enterDbmsPrivilege?: (ctx: DbmsPrivilegeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dbmsPrivilege`.
     * @param ctx the parse tree
     */
    exitDbmsPrivilege?: (ctx: DbmsPrivilegeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.executeFunctionQualifier`.
     * @param ctx the parse tree
     */
    enterExecuteFunctionQualifier?: (ctx: ExecuteFunctionQualifierContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.executeFunctionQualifier`.
     * @param ctx the parse tree
     */
    exitExecuteFunctionQualifier?: (ctx: ExecuteFunctionQualifierContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.executeProcedureQualifier`.
     * @param ctx the parse tree
     */
    enterExecuteProcedureQualifier?: (ctx: ExecuteProcedureQualifierContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.executeProcedureQualifier`.
     * @param ctx the parse tree
     */
    exitExecuteProcedureQualifier?: (ctx: ExecuteProcedureQualifierContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.settingQualifier`.
     * @param ctx the parse tree
     */
    enterSettingQualifier?: (ctx: SettingQualifierContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.settingQualifier`.
     * @param ctx the parse tree
     */
    exitSettingQualifier?: (ctx: SettingQualifierContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.globs`.
     * @param ctx the parse tree
     */
    enterGlobs?: (ctx: GlobsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.globs`.
     * @param ctx the parse tree
     */
    exitGlobs?: (ctx: GlobsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.qualifiedGraphPrivilegesWithProperty`.
     * @param ctx the parse tree
     */
    enterQualifiedGraphPrivilegesWithProperty?: (ctx: QualifiedGraphPrivilegesWithPropertyContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.qualifiedGraphPrivilegesWithProperty`.
     * @param ctx the parse tree
     */
    exitQualifiedGraphPrivilegesWithProperty?: (ctx: QualifiedGraphPrivilegesWithPropertyContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.qualifiedGraphPrivileges`.
     * @param ctx the parse tree
     */
    enterQualifiedGraphPrivileges?: (ctx: QualifiedGraphPrivilegesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.qualifiedGraphPrivileges`.
     * @param ctx the parse tree
     */
    exitQualifiedGraphPrivileges?: (ctx: QualifiedGraphPrivilegesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.labelResource`.
     * @param ctx the parse tree
     */
    enterLabelResource?: (ctx: LabelResourceContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.labelResource`.
     * @param ctx the parse tree
     */
    exitLabelResource?: (ctx: LabelResourceContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.propertyResource`.
     * @param ctx the parse tree
     */
    enterPropertyResource?: (ctx: PropertyResourceContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.propertyResource`.
     * @param ctx the parse tree
     */
    exitPropertyResource?: (ctx: PropertyResourceContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.graphQualifier`.
     * @param ctx the parse tree
     */
    enterGraphQualifier?: (ctx: GraphQualifierContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.graphQualifier`.
     * @param ctx the parse tree
     */
    exitGraphQualifier?: (ctx: GraphQualifierContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createDatabase`.
     * @param ctx the parse tree
     */
    enterCreateDatabase?: (ctx: CreateDatabaseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createDatabase`.
     * @param ctx the parse tree
     */
    exitCreateDatabase?: (ctx: CreateDatabaseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.options_`.
     * @param ctx the parse tree
     */
    enterOptions_?: (ctx: Options_Context) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.options_`.
     * @param ctx the parse tree
     */
    exitOptions_?: (ctx: Options_Context) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createCompositeDatabase`.
     * @param ctx the parse tree
     */
    enterCreateCompositeDatabase?: (ctx: CreateCompositeDatabaseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createCompositeDatabase`.
     * @param ctx the parse tree
     */
    exitCreateCompositeDatabase?: (ctx: CreateCompositeDatabaseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropDatabase`.
     * @param ctx the parse tree
     */
    enterDropDatabase?: (ctx: DropDatabaseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropDatabase`.
     * @param ctx the parse tree
     */
    exitDropDatabase?: (ctx: DropDatabaseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.alterDatabase`.
     * @param ctx the parse tree
     */
    enterAlterDatabase?: (ctx: AlterDatabaseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.alterDatabase`.
     * @param ctx the parse tree
     */
    exitAlterDatabase?: (ctx: AlterDatabaseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.startDatabase`.
     * @param ctx the parse tree
     */
    enterStartDatabase?: (ctx: StartDatabaseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.startDatabase`.
     * @param ctx the parse tree
     */
    exitStartDatabase?: (ctx: StartDatabaseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.stopDatabase`.
     * @param ctx the parse tree
     */
    enterStopDatabase?: (ctx: StopDatabaseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.stopDatabase`.
     * @param ctx the parse tree
     */
    exitStopDatabase?: (ctx: StopDatabaseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.waitClause`.
     * @param ctx the parse tree
     */
    enterWaitClause?: (ctx: WaitClauseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.waitClause`.
     * @param ctx the parse tree
     */
    exitWaitClause?: (ctx: WaitClauseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showDatabase`.
     * @param ctx the parse tree
     */
    enterShowDatabase?: (ctx: ShowDatabaseContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showDatabase`.
     * @param ctx the parse tree
     */
    exitShowDatabase?: (ctx: ShowDatabaseContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.databaseScope`.
     * @param ctx the parse tree
     */
    enterDatabaseScope?: (ctx: DatabaseScopeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.databaseScope`.
     * @param ctx the parse tree
     */
    exitDatabaseScope?: (ctx: DatabaseScopeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.graphScope`.
     * @param ctx the parse tree
     */
    enterGraphScope?: (ctx: GraphScopeContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.graphScope`.
     * @param ctx the parse tree
     */
    exitGraphScope?: (ctx: GraphScopeContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.createAlias`.
     * @param ctx the parse tree
     */
    enterCreateAlias?: (ctx: CreateAliasContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.createAlias`.
     * @param ctx the parse tree
     */
    exitCreateAlias?: (ctx: CreateAliasContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.dropAlias`.
     * @param ctx the parse tree
     */
    enterDropAlias?: (ctx: DropAliasContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.dropAlias`.
     * @param ctx the parse tree
     */
    exitDropAlias?: (ctx: DropAliasContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.alterAlias`.
     * @param ctx the parse tree
     */
    enterAlterAlias?: (ctx: AlterAliasContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.alterAlias`.
     * @param ctx the parse tree
     */
    exitAlterAlias?: (ctx: AlterAliasContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.showAliases`.
     * @param ctx the parse tree
     */
    enterShowAliases?: (ctx: ShowAliasesContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.showAliases`.
     * @param ctx the parse tree
     */
    exitShowAliases?: (ctx: ShowAliasesContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.symbolicAliasNameList`.
     * @param ctx the parse tree
     */
    enterSymbolicAliasNameList?: (ctx: SymbolicAliasNameListContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.symbolicAliasNameList`.
     * @param ctx the parse tree
     */
    exitSymbolicAliasNameList?: (ctx: SymbolicAliasNameListContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.symbolicAliasName`.
     * @param ctx the parse tree
     */
    enterSymbolicAliasName?: (ctx: SymbolicAliasNameContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.symbolicAliasName`.
     * @param ctx the parse tree
     */
    exitSymbolicAliasName?: (ctx: SymbolicAliasNameContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.symbolicNameOrStringParameterList`.
     * @param ctx the parse tree
     */
    enterSymbolicNameOrStringParameterList?: (ctx: SymbolicNameOrStringParameterListContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.symbolicNameOrStringParameterList`.
     * @param ctx the parse tree
     */
    exitSymbolicNameOrStringParameterList?: (ctx: SymbolicNameOrStringParameterListContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.symbolicNameOrStringParameter`.
     * @param ctx the parse tree
     */
    enterSymbolicNameOrStringParameter?: (ctx: SymbolicNameOrStringParameterContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.symbolicNameOrStringParameter`.
     * @param ctx the parse tree
     */
    exitSymbolicNameOrStringParameter?: (ctx: SymbolicNameOrStringParameterContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.glob`.
     * @param ctx the parse tree
     */
    enterGlob?: (ctx: GlobContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.glob`.
     * @param ctx the parse tree
     */
    exitGlob?: (ctx: GlobContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.globRecursive`.
     * @param ctx the parse tree
     */
    enterGlobRecursive?: (ctx: GlobRecursiveContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.globRecursive`.
     * @param ctx the parse tree
     */
    exitGlobRecursive?: (ctx: GlobRecursiveContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.globPart`.
     * @param ctx the parse tree
     */
    enterGlobPart?: (ctx: GlobPartContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.globPart`.
     * @param ctx the parse tree
     */
    exitGlobPart?: (ctx: GlobPartContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.stringImage`.
     * @param ctx the parse tree
     */
    enterStringImage?: (ctx: StringImageContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.stringImage`.
     * @param ctx the parse tree
     */
    exitStringImage?: (ctx: StringImageContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.stringList`.
     * @param ctx the parse tree
     */
    enterStringList?: (ctx: StringListContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.stringList`.
     * @param ctx the parse tree
     */
    exitStringList?: (ctx: StringListContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.stringToken`.
     * @param ctx the parse tree
     */
    enterStringToken?: (ctx: StringTokenContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.stringToken`.
     * @param ctx the parse tree
     */
    exitStringToken?: (ctx: StringTokenContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.stringOrParameter`.
     * @param ctx the parse tree
     */
    enterStringOrParameter?: (ctx: StringOrParameterContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.stringOrParameter`.
     * @param ctx the parse tree
     */
    exitStringOrParameter?: (ctx: StringOrParameterContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.mapOrParameter`.
     * @param ctx the parse tree
     */
    enterMapOrParameter?: (ctx: MapOrParameterContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.mapOrParameter`.
     * @param ctx the parse tree
     */
    exitMapOrParameter?: (ctx: MapOrParameterContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.map`.
     * @param ctx the parse tree
     */
    enterMap?: (ctx: MapContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.map`.
     * @param ctx the parse tree
     */
    exitMap?: (ctx: MapContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.symbolicNamePositions`.
     * @param ctx the parse tree
     */
    enterSymbolicNamePositions?: (ctx: SymbolicNamePositionsContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.symbolicNamePositions`.
     * @param ctx the parse tree
     */
    exitSymbolicNamePositions?: (ctx: SymbolicNamePositionsContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.symbolicNameString`.
     * @param ctx the parse tree
     */
    enterSymbolicNameString?: (ctx: SymbolicNameStringContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.symbolicNameString`.
     * @param ctx the parse tree
     */
    exitSymbolicNameString?: (ctx: SymbolicNameStringContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.escapedSymbolicNameString`.
     * @param ctx the parse tree
     */
    enterEscapedSymbolicNameString?: (ctx: EscapedSymbolicNameStringContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.escapedSymbolicNameString`.
     * @param ctx the parse tree
     */
    exitEscapedSymbolicNameString?: (ctx: EscapedSymbolicNameStringContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.unescapedSymbolicNameString`.
     * @param ctx the parse tree
     */
    enterUnescapedSymbolicNameString?: (ctx: UnescapedSymbolicNameStringContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.unescapedSymbolicNameString`.
     * @param ctx the parse tree
     */
    exitUnescapedSymbolicNameString?: (ctx: UnescapedSymbolicNameStringContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.symbolicLabelNameString`.
     * @param ctx the parse tree
     */
    enterSymbolicLabelNameString?: (ctx: SymbolicLabelNameStringContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.symbolicLabelNameString`.
     * @param ctx the parse tree
     */
    exitSymbolicLabelNameString?: (ctx: SymbolicLabelNameStringContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.unescapedLabelSymbolicNameString`.
     * @param ctx the parse tree
     */
    enterUnescapedLabelSymbolicNameString?: (ctx: UnescapedLabelSymbolicNameStringContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.unescapedLabelSymbolicNameString`.
     * @param ctx the parse tree
     */
    exitUnescapedLabelSymbolicNameString?: (ctx: UnescapedLabelSymbolicNameStringContext) => void;
    /**
     * Enter a parse tree produced by `CypherCmdParser.endOfFile`.
     * @param ctx the parse tree
     */
    enterEndOfFile?: (ctx: EndOfFileContext) => void;
    /**
     * Exit a parse tree produced by `CypherCmdParser.endOfFile`.
     * @param ctx the parse tree
     */
    exitEndOfFile?: (ctx: EndOfFileContext) => void;
}
