import { ParseTreeVisitor } from 'antlr4';
import { StatementsOrCommandsContext } from "./CypherCmdParser";
import { StatementOrCommandContext } from "./CypherCmdParser";
import { ConsoleCommandContext } from "./CypherCmdParser";
import { ParamsCmdContext } from "./CypherCmdParser";
import { ParamsArgsContext } from "./CypherCmdParser";
import { LambdaContext } from "./CypherCmdParser";
import { ClearCmdContext } from "./CypherCmdParser";
import { HistoryCmdContext } from "./CypherCmdParser";
import { UseCmdContext } from "./CypherCmdParser";
import { ListCompletionRuleContext } from "./CypherCmdParser";
import { UseCompletionRuleContext } from "./CypherCmdParser";
import { StatementsContext } from "./CypherCmdParser";
import { StatementContext } from "./CypherCmdParser";
import { PreparserOptionContext } from "./CypherCmdParser";
import { SingleQueryOrCommandContext } from "./CypherCmdParser";
import { SingleQueryOrCommandWithUseClauseContext } from "./CypherCmdParser";
import { PeriodicCommitQueryHintFailureContext } from "./CypherCmdParser";
import { RegularQueryContext } from "./CypherCmdParser";
import { UnionContext } from "./CypherCmdParser";
import { SingleQueryContext } from "./CypherCmdParser";
import { SingleQueryWithUseClauseContext } from "./CypherCmdParser";
import { ClauseContext } from "./CypherCmdParser";
import { UseClauseContext } from "./CypherCmdParser";
import { ReturnClauseContext } from "./CypherCmdParser";
import { ReturnBodyContext } from "./CypherCmdParser";
import { ReturnItemContext } from "./CypherCmdParser";
import { ReturnItemsContext } from "./CypherCmdParser";
import { OrderItemContext } from "./CypherCmdParser";
import { SkipContext } from "./CypherCmdParser";
import { LimitContext } from "./CypherCmdParser";
import { WhereClauseContext } from "./CypherCmdParser";
import { WithClauseContext } from "./CypherCmdParser";
import { CreateClauseContext } from "./CypherCmdParser";
import { SetClauseContext } from "./CypherCmdParser";
import { SetItemContext } from "./CypherCmdParser";
import { RemoveClauseContext } from "./CypherCmdParser";
import { RemoveItemContext } from "./CypherCmdParser";
import { DeleteClauseContext } from "./CypherCmdParser";
import { MatchClauseContext } from "./CypherCmdParser";
import { MatchModeContext } from "./CypherCmdParser";
import { HintsContext } from "./CypherCmdParser";
import { IndexHintBodyContext } from "./CypherCmdParser";
import { MergeClauseContext } from "./CypherCmdParser";
import { UnwindClauseContext } from "./CypherCmdParser";
import { CallClauseContext } from "./CypherCmdParser";
import { ProcedureNameContext } from "./CypherCmdParser";
import { ProcedureArgumentContext } from "./CypherCmdParser";
import { ProcedureResultItemContext } from "./CypherCmdParser";
import { LoadCSVClauseContext } from "./CypherCmdParser";
import { ForeachClauseContext } from "./CypherCmdParser";
import { SubqueryClauseContext } from "./CypherCmdParser";
import { SubqueryInTransactionsParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsBatchParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsErrorParametersContext } from "./CypherCmdParser";
import { SubqueryInTransactionsReportParametersContext } from "./CypherCmdParser";
import { PatternListContext } from "./CypherCmdParser";
import { PatternContext } from "./CypherCmdParser";
import { QuantifierContext } from "./CypherCmdParser";
import { AnonymousPatternContext } from "./CypherCmdParser";
import { ShortestPathPatternContext } from "./CypherCmdParser";
import { MaybeQuantifiedRelationshipPatternContext } from "./CypherCmdParser";
import { PatternElementContext } from "./CypherCmdParser";
import { PathPatternAtomsContext } from "./CypherCmdParser";
import { SelectorContext } from "./CypherCmdParser";
import { PathPatternNonEmptyContext } from "./CypherCmdParser";
import { NodePatternContext } from "./CypherCmdParser";
import { ParenthesizedPathContext } from "./CypherCmdParser";
import { NodeLabelsContext } from "./CypherCmdParser";
import { LabelExpressionPredicateContext } from "./CypherCmdParser";
import { LabelOrRelTypeContext } from "./CypherCmdParser";
import { LabelOrRelTypesContext } from "./CypherCmdParser";
import { PropertiesContext } from "./CypherCmdParser";
import { RelationshipPatternContext } from "./CypherCmdParser";
import { LeftArrowContext } from "./CypherCmdParser";
import { ArrowLineContext } from "./CypherCmdParser";
import { RightArrowContext } from "./CypherCmdParser";
import { PathLengthContext } from "./CypherCmdParser";
import { PathLengthLiteralContext } from "./CypherCmdParser";
import { LabelExpressionContext } from "./CypherCmdParser";
import { LabelExpression4Context } from "./CypherCmdParser";
import { LabelExpression4IsContext } from "./CypherCmdParser";
import { LabelExpression3Context } from "./CypherCmdParser";
import { LabelExpression3IsContext } from "./CypherCmdParser";
import { LabelExpression2Context } from "./CypherCmdParser";
import { LabelExpression2IsContext } from "./CypherCmdParser";
import { ParenthesizedLabelExpressionContext } from "./CypherCmdParser";
import { AnyLabelContext } from "./CypherCmdParser";
import { LabelNameContext } from "./CypherCmdParser";
import { ParenthesizedLabelExpressionIsContext } from "./CypherCmdParser";
import { AnyLabelIsContext } from "./CypherCmdParser";
import { LabelNameIsContext } from "./CypherCmdParser";
import { ExpressionContext } from "./CypherCmdParser";
import { Expression12Context } from "./CypherCmdParser";
import { Expression11Context } from "./CypherCmdParser";
import { Expression10Context } from "./CypherCmdParser";
import { Expression9Context } from "./CypherCmdParser";
import { Expression8Context } from "./CypherCmdParser";
import { Expression7Context } from "./CypherCmdParser";
import { ComparisonExpression6Context } from "./CypherCmdParser";
import { Expression6Context } from "./CypherCmdParser";
import { Expression5Context } from "./CypherCmdParser";
import { Expression4Context } from "./CypherCmdParser";
import { Expression3Context } from "./CypherCmdParser";
import { Expression2Context } from "./CypherCmdParser";
import { PostFix1Context } from "./CypherCmdParser";
import { PropertyContext } from "./CypherCmdParser";
import { PropertyExpressionContext } from "./CypherCmdParser";
import { Expression1Context } from "./CypherCmdParser";
import { NummericLiteralContext } from "./CypherCmdParser";
import { StringsLiteralContext } from "./CypherCmdParser";
import { OtherLiteralContext } from "./CypherCmdParser";
import { BooleanLiteralContext } from "./CypherCmdParser";
import { KeywordLiteralContext } from "./CypherCmdParser";
import { CaseExpressionContext } from "./CypherCmdParser";
import { ListComprehensionContext } from "./CypherCmdParser";
import { ListComprehensionWhereAndBarContext } from "./CypherCmdParser";
import { PatternComprehensionContext } from "./CypherCmdParser";
import { ReduceExpressionContext } from "./CypherCmdParser";
import { AllExpressionContext } from "./CypherCmdParser";
import { AnyExpressionContext } from "./CypherCmdParser";
import { NoneExpressionContext } from "./CypherCmdParser";
import { SingleExpressionContext } from "./CypherCmdParser";
import { PatternExpressionContext } from "./CypherCmdParser";
import { ShortestPathExpressionContext } from "./CypherCmdParser";
import { MapProjectionContext } from "./CypherCmdParser";
import { MapProjectionItemContext } from "./CypherCmdParser";
import { ExistsExpressionContext } from "./CypherCmdParser";
import { CountExpressionContext } from "./CypherCmdParser";
import { CollectExpressionContext } from "./CypherCmdParser";
import { StringLiteralContext } from "./CypherCmdParser";
import { NumberLiteralContext } from "./CypherCmdParser";
import { SignedIntegerLiteralContext } from "./CypherCmdParser";
import { ListLiteralContext } from "./CypherCmdParser";
import { MapLiteralContext } from "./CypherCmdParser";
import { PropertyKeyNameContext } from "./CypherCmdParser";
import { ParameterContext } from "./CypherCmdParser";
import { ParameterNameContext } from "./CypherCmdParser";
import { FunctionInvocationContext } from "./CypherCmdParser";
import { FunctionNameContext } from "./CypherCmdParser";
import { FunctionArgumentContext } from "./CypherCmdParser";
import { NamespaceContext } from "./CypherCmdParser";
import { VariableList1Context } from "./CypherCmdParser";
import { VariableContext } from "./CypherCmdParser";
import { SymbolicNameList1Context } from "./CypherCmdParser";
import { CreateCommandContext } from "./CypherCmdParser";
import { CommandContext } from "./CypherCmdParser";
import { CommandWithUseGraphContext } from "./CypherCmdParser";
import { DropCommandContext } from "./CypherCmdParser";
import { AlterCommandContext } from "./CypherCmdParser";
import { ShowCommandContext } from "./CypherCmdParser";
import { TerminateCommandContext } from "./CypherCmdParser";
import { ShowAllCommandContext } from "./CypherCmdParser";
import { ShowNodeCommandContext } from "./CypherCmdParser";
import { ShowRelationshipCommandContext } from "./CypherCmdParser";
import { ShowRelCommandContext } from "./CypherCmdParser";
import { ShowPropertyCommandContext } from "./CypherCmdParser";
import { YieldItemContext } from "./CypherCmdParser";
import { YieldClauseContext } from "./CypherCmdParser";
import { ShowIndexesAllowBriefContext } from "./CypherCmdParser";
import { ShowIndexesNoBriefContext } from "./CypherCmdParser";
import { ShowConstraintsAllowBriefAndYieldContext } from "./CypherCmdParser";
import { ShowConstraintsAllowBriefContext } from "./CypherCmdParser";
import { ShowConstraintsAllowYieldContext } from "./CypherCmdParser";
import { ShowProceduresContext } from "./CypherCmdParser";
import { ShowFunctionsContext } from "./CypherCmdParser";
import { ShowTransactionsContext } from "./CypherCmdParser";
import { TerminateTransactionsContext } from "./CypherCmdParser";
import { ShowOrTerminateTransactionsContext } from "./CypherCmdParser";
import { StringsOrExpressionContext } from "./CypherCmdParser";
import { ShowSettingsContext } from "./CypherCmdParser";
import { CreateConstraintContext } from "./CypherCmdParser";
import { CypherTypeNameContext } from "./CypherCmdParser";
import { CypherTypeNameListContext } from "./CypherCmdParser";
import { CypherTypeNamePartContext } from "./CypherCmdParser";
import { ConstraintNodePatternContext } from "./CypherCmdParser";
import { ConstraintRelPatternContext } from "./CypherCmdParser";
import { CreateConstraintNodeCheckContext } from "./CypherCmdParser";
import { CreateConstraintRelCheckContext } from "./CypherCmdParser";
import { DropConstraintContext } from "./CypherCmdParser";
import { DropConstraintNodeCheckContext } from "./CypherCmdParser";
import { CreateIndexContext } from "./CypherCmdParser";
import { OldCreateIndexContext } from "./CypherCmdParser";
import { CreateIndex_Context } from "./CypherCmdParser";
import { CreateFulltextIndexContext } from "./CypherCmdParser";
import { CreateLookupIndexContext } from "./CypherCmdParser";
import { LookupIndexFunctionNameContext } from "./CypherCmdParser";
import { DropIndexContext } from "./CypherCmdParser";
import { PropertyListContext } from "./CypherCmdParser";
import { RenameCommandContext } from "./CypherCmdParser";
import { GrantCommandContext } from "./CypherCmdParser";
import { RevokeCommandContext } from "./CypherCmdParser";
import { EnableServerCommandContext } from "./CypherCmdParser";
import { AlterServerContext } from "./CypherCmdParser";
import { RenameServerContext } from "./CypherCmdParser";
import { DropServerContext } from "./CypherCmdParser";
import { ShowServersContext } from "./CypherCmdParser";
import { AllocationCommandContext } from "./CypherCmdParser";
import { DeallocateDatabaseFromServersContext } from "./CypherCmdParser";
import { ReallocateDatabasesContext } from "./CypherCmdParser";
import { CreateRoleContext } from "./CypherCmdParser";
import { DropRoleContext } from "./CypherCmdParser";
import { RenameRoleContext } from "./CypherCmdParser";
import { ShowRolesContext } from "./CypherCmdParser";
import { GrantRoleContext } from "./CypherCmdParser";
import { RevokeRoleContext } from "./CypherCmdParser";
import { CreateUserContext } from "./CypherCmdParser";
import { DropUserContext } from "./CypherCmdParser";
import { RenameUserContext } from "./CypherCmdParser";
import { AlterCurrentUserContext } from "./CypherCmdParser";
import { AlterUserContext } from "./CypherCmdParser";
import { SetPasswordContext } from "./CypherCmdParser";
import { PasswordExpressionContext } from "./CypherCmdParser";
import { PasswordChangeRequiredContext } from "./CypherCmdParser";
import { UserStatusContext } from "./CypherCmdParser";
import { HomeDatabaseContext } from "./CypherCmdParser";
import { ShowUsersContext } from "./CypherCmdParser";
import { ShowCurrentUserContext } from "./CypherCmdParser";
import { ShowSupportedPrivilegesContext } from "./CypherCmdParser";
import { ShowPrivilegesContext } from "./CypherCmdParser";
import { ShowRolePrivilegesContext } from "./CypherCmdParser";
import { ShowUserPrivilegesContext } from "./CypherCmdParser";
import { GrantRoleManagementContext } from "./CypherCmdParser";
import { RevokeRoleManagementContext } from "./CypherCmdParser";
import { RoleManagementPrivilegeContext } from "./CypherCmdParser";
import { GrantPrivilegeContext } from "./CypherCmdParser";
import { DenyPrivilegeContext } from "./CypherCmdParser";
import { RevokePrivilegeContext } from "./CypherCmdParser";
import { PrivilegeContext } from "./CypherCmdParser";
import { AllPrivilegeContext } from "./CypherCmdParser";
import { AllPrivilegeTypeContext } from "./CypherCmdParser";
import { AllPrivilegeTargetContext } from "./CypherCmdParser";
import { CreatePrivilegeContext } from "./CypherCmdParser";
import { DropPrivilegeContext } from "./CypherCmdParser";
import { LoadPrivilegeContext } from "./CypherCmdParser";
import { ShowPrivilegeContext } from "./CypherCmdParser";
import { SetPrivilegeContext } from "./CypherCmdParser";
import { RemovePrivilegeContext } from "./CypherCmdParser";
import { WritePrivilegeContext } from "./CypherCmdParser";
import { DatabasePrivilegeContext } from "./CypherCmdParser";
import { DbmsPrivilegeContext } from "./CypherCmdParser";
import { ExecuteFunctionQualifierContext } from "./CypherCmdParser";
import { ExecuteProcedureQualifierContext } from "./CypherCmdParser";
import { SettingQualifierContext } from "./CypherCmdParser";
import { GlobsContext } from "./CypherCmdParser";
import { QualifiedGraphPrivilegesWithPropertyContext } from "./CypherCmdParser";
import { QualifiedGraphPrivilegesContext } from "./CypherCmdParser";
import { LabelResourceContext } from "./CypherCmdParser";
import { PropertyResourceContext } from "./CypherCmdParser";
import { GraphQualifierContext } from "./CypherCmdParser";
import { CreateDatabaseContext } from "./CypherCmdParser";
import { Options_Context } from "./CypherCmdParser";
import { CreateCompositeDatabaseContext } from "./CypherCmdParser";
import { DropDatabaseContext } from "./CypherCmdParser";
import { AlterDatabaseContext } from "./CypherCmdParser";
import { StartDatabaseContext } from "./CypherCmdParser";
import { StopDatabaseContext } from "./CypherCmdParser";
import { WaitClauseContext } from "./CypherCmdParser";
import { ShowDatabaseContext } from "./CypherCmdParser";
import { DatabaseScopeContext } from "./CypherCmdParser";
import { GraphScopeContext } from "./CypherCmdParser";
import { CreateAliasContext } from "./CypherCmdParser";
import { DropAliasContext } from "./CypherCmdParser";
import { AlterAliasContext } from "./CypherCmdParser";
import { ShowAliasesContext } from "./CypherCmdParser";
import { SymbolicAliasNameListContext } from "./CypherCmdParser";
import { SymbolicAliasNameContext } from "./CypherCmdParser";
import { SymbolicNameOrStringParameterListContext } from "./CypherCmdParser";
import { SymbolicNameOrStringParameterContext } from "./CypherCmdParser";
import { GlobContext } from "./CypherCmdParser";
import { GlobRecursiveContext } from "./CypherCmdParser";
import { GlobPartContext } from "./CypherCmdParser";
import { StringImageContext } from "./CypherCmdParser";
import { StringListContext } from "./CypherCmdParser";
import { StringTokenContext } from "./CypherCmdParser";
import { StringOrParameterContext } from "./CypherCmdParser";
import { MapOrParameterContext } from "./CypherCmdParser";
import { MapContext } from "./CypherCmdParser";
import { SymbolicNamePositionsContext } from "./CypherCmdParser";
import { SymbolicNameStringContext } from "./CypherCmdParser";
import { EscapedSymbolicNameStringContext } from "./CypherCmdParser";
import { UnescapedSymbolicNameStringContext } from "./CypherCmdParser";
import { SymbolicLabelNameStringContext } from "./CypherCmdParser";
import { UnescapedLabelSymbolicNameStringContext } from "./CypherCmdParser";
import { EndOfFileContext } from "./CypherCmdParser";
/**
 * This interface defines a complete generic visitor for a parse tree produced
 * by `CypherCmdParser`.
 *
 * @param <Result> The return type of the visit operation. Use `void` for
 * operations with no return type.
 */
export default class CypherCmdParserVisitor<Result> extends ParseTreeVisitor<Result> {
    /**
     * Visit a parse tree produced by `CypherCmdParser.statementsOrCommands`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatementsOrCommands?: (ctx: StatementsOrCommandsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.statementOrCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatementOrCommand?: (ctx: StatementOrCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.consoleCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConsoleCommand?: (ctx: ConsoleCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.paramsCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParamsCmd?: (ctx: ParamsCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.paramsArgs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParamsArgs?: (ctx: ParamsArgsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.lambda`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLambda?: (ctx: LambdaContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.clearCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitClearCmd?: (ctx: ClearCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.historyCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHistoryCmd?: (ctx: HistoryCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.useCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseCmd?: (ctx: UseCmdContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.listCompletionRule`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListCompletionRule?: (ctx: ListCompletionRuleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.useCompletionRule`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseCompletionRule?: (ctx: UseCompletionRuleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.statements`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatements?: (ctx: StatementsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatement?: (ctx: StatementContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.preparserOption`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPreparserOption?: (ctx: PreparserOptionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.singleQueryOrCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSingleQueryOrCommand?: (ctx: SingleQueryOrCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.singleQueryOrCommandWithUseClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSingleQueryOrCommandWithUseClause?: (ctx: SingleQueryOrCommandWithUseClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.periodicCommitQueryHintFailure`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPeriodicCommitQueryHintFailure?: (ctx: PeriodicCommitQueryHintFailureContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.regularQuery`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRegularQuery?: (ctx: RegularQueryContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.union`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnion?: (ctx: UnionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.singleQuery`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSingleQuery?: (ctx: SingleQueryContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.singleQueryWithUseClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSingleQueryWithUseClause?: (ctx: SingleQueryWithUseClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.clause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitClause?: (ctx: ClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.useClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseClause?: (ctx: UseClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.returnClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnClause?: (ctx: ReturnClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.returnBody`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnBody?: (ctx: ReturnBodyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.returnItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnItem?: (ctx: ReturnItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.returnItems`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnItems?: (ctx: ReturnItemsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.orderItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOrderItem?: (ctx: OrderItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.skip`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSkip?: (ctx: SkipContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.limit`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLimit?: (ctx: LimitContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.whereClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhereClause?: (ctx: WhereClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.withClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWithClause?: (ctx: WithClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateClause?: (ctx: CreateClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.setClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetClause?: (ctx: SetClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetItem?: (ctx: SetItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.removeClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveClause?: (ctx: RemoveClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveItem?: (ctx: RemoveItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.deleteClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeleteClause?: (ctx: DeleteClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.matchClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMatchClause?: (ctx: MatchClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.matchMode`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMatchMode?: (ctx: MatchModeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.hints`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHints?: (ctx: HintsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.indexHintBody`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIndexHintBody?: (ctx: IndexHintBodyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mergeClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMergeClause?: (ctx: MergeClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.unwindClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnwindClause?: (ctx: UnwindClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.callClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCallClause?: (ctx: CallClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.procedureName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureName?: (ctx: ProcedureNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.procedureArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureArgument?: (ctx: ProcedureArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.procedureResultItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureResultItem?: (ctx: ProcedureResultItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.loadCSVClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLoadCSVClause?: (ctx: LoadCSVClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.foreachClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitForeachClause?: (ctx: ForeachClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryClause?: (ctx: SubqueryClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryInTransactionsParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsParameters?: (ctx: SubqueryInTransactionsParametersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryInTransactionsBatchParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsBatchParameters?: (ctx: SubqueryInTransactionsBatchParametersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryInTransactionsErrorParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsErrorParameters?: (ctx: SubqueryInTransactionsErrorParametersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.subqueryInTransactionsReportParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsReportParameters?: (ctx: SubqueryInTransactionsReportParametersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.patternList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternList?: (ctx: PatternListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPattern?: (ctx: PatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.quantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQuantifier?: (ctx: QuantifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.anonymousPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnonymousPattern?: (ctx: AnonymousPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.shortestPathPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShortestPathPattern?: (ctx: ShortestPathPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.maybeQuantifiedRelationshipPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMaybeQuantifiedRelationshipPattern?: (ctx: MaybeQuantifiedRelationshipPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.patternElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternElement?: (ctx: PatternElementContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pathPatternAtoms`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathPatternAtoms?: (ctx: PathPatternAtomsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSelector?: (ctx: SelectorContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pathPatternNonEmpty`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathPatternNonEmpty?: (ctx: PathPatternNonEmptyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.nodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodePattern?: (ctx: NodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.parenthesizedPath`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedPath?: (ctx: ParenthesizedPathContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.nodeLabels`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodeLabels?: (ctx: NodeLabelsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpressionPredicate`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpressionPredicate?: (ctx: LabelExpressionPredicateContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelOrRelType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelOrRelType?: (ctx: LabelOrRelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelOrRelTypes`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelOrRelTypes?: (ctx: LabelOrRelTypesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.properties`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProperties?: (ctx: PropertiesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.relationshipPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRelationshipPattern?: (ctx: RelationshipPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.leftArrow`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLeftArrow?: (ctx: LeftArrowContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.arrowLine`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitArrowLine?: (ctx: ArrowLineContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.rightArrow`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRightArrow?: (ctx: RightArrowContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pathLength`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathLength?: (ctx: PathLengthContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.pathLengthLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathLengthLiteral?: (ctx: PathLengthLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression?: (ctx: LabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression4`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression4?: (ctx: LabelExpression4Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression4Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression4Is?: (ctx: LabelExpression4IsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression3`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression3?: (ctx: LabelExpression3Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression3Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression3Is?: (ctx: LabelExpression3IsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression2`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression2?: (ctx: LabelExpression2Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelExpression2Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression2Is?: (ctx: LabelExpression2IsContext) => Result;
    /**
     * Visit a parse tree produced by the `ParenthesizedLabelExpression`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedLabelExpression?: (ctx: ParenthesizedLabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyLabel`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyLabel?: (ctx: AnyLabelContext) => Result;
    /**
     * Visit a parse tree produced by the `LabelName`
     * labeled alternative in `CypherCmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelName?: (ctx: LabelNameContext) => Result;
    /**
     * Visit a parse tree produced by the `ParenthesizedLabelExpressionIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedLabelExpressionIs?: (ctx: ParenthesizedLabelExpressionIsContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyLabelIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyLabelIs?: (ctx: AnyLabelIsContext) => Result;
    /**
     * Visit a parse tree produced by the `LabelNameIs`
     * labeled alternative in `CypherCmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelNameIs?: (ctx: LabelNameIsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression?: (ctx: ExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression12`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression12?: (ctx: Expression12Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression11`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression11?: (ctx: Expression11Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression10`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression10?: (ctx: Expression10Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression9`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression9?: (ctx: Expression9Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression8`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression8?: (ctx: Expression8Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression7`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression7?: (ctx: Expression7Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitComparisonExpression6?: (ctx: ComparisonExpression6Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression6?: (ctx: Expression6Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression5`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression5?: (ctx: Expression5Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression4`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression4?: (ctx: Expression4Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression3`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression3?: (ctx: Expression3Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression2`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression2?: (ctx: Expression2Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.postFix1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPostFix1?: (ctx: PostFix1Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.property`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProperty?: (ctx: PropertyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.propertyExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyExpression?: (ctx: PropertyExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.expression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression1?: (ctx: Expression1Context) => Result;
    /**
     * Visit a parse tree produced by the `NummericLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNummericLiteral?: (ctx: NummericLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `StringsLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringsLiteral?: (ctx: StringsLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `OtherLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOtherLiteral?: (ctx: OtherLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `BooleanLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBooleanLiteral?: (ctx: BooleanLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `KeywordLiteral`
     * labeled alternative in `CypherCmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitKeywordLiteral?: (ctx: KeywordLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.caseExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCaseExpression?: (ctx: CaseExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.listComprehension`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListComprehension?: (ctx: ListComprehensionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.listComprehensionWhereAndBar`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListComprehensionWhereAndBar?: (ctx: ListComprehensionWhereAndBarContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.patternComprehension`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternComprehension?: (ctx: PatternComprehensionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.reduceExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReduceExpression?: (ctx: ReduceExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.allExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllExpression?: (ctx: AllExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.anyExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyExpression?: (ctx: AnyExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.noneExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNoneExpression?: (ctx: NoneExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.singleExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSingleExpression?: (ctx: SingleExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.patternExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternExpression?: (ctx: PatternExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.shortestPathExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShortestPathExpression?: (ctx: ShortestPathExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mapProjection`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapProjection?: (ctx: MapProjectionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mapProjectionItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapProjectionItem?: (ctx: MapProjectionItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.existsExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExistsExpression?: (ctx: ExistsExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.countExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCountExpression?: (ctx: CountExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.collectExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCollectExpression?: (ctx: CollectExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringLiteral?: (ctx: StringLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.numberLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNumberLiteral?: (ctx: NumberLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.signedIntegerLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSignedIntegerLiteral?: (ctx: SignedIntegerLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.listLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListLiteral?: (ctx: ListLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mapLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapLiteral?: (ctx: MapLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.propertyKeyName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyKeyName?: (ctx: PropertyKeyNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.parameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParameter?: (ctx: ParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.parameterName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParameterName?: (ctx: ParameterNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.functionInvocation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionInvocation?: (ctx: FunctionInvocationContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.functionName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionName?: (ctx: FunctionNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.functionArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionArgument?: (ctx: FunctionArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.namespace`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNamespace?: (ctx: NamespaceContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.variableList1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitVariableList1?: (ctx: VariableList1Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.variable`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitVariable?: (ctx: VariableContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicNameList1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameList1?: (ctx: SymbolicNameList1Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateCommand?: (ctx: CreateCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.command`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommand?: (ctx: CommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.commandWithUseGraph`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandWithUseGraph?: (ctx: CommandWithUseGraphContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropCommand?: (ctx: DropCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterCommand?: (ctx: AlterCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCommand?: (ctx: ShowCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.terminateCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTerminateCommand?: (ctx: TerminateCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showAllCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowAllCommand?: (ctx: ShowAllCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showNodeCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowNodeCommand?: (ctx: ShowNodeCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showRelationshipCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRelationshipCommand?: (ctx: ShowRelationshipCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showRelCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRelCommand?: (ctx: ShowRelCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showPropertyCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowPropertyCommand?: (ctx: ShowPropertyCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.yieldItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldItem?: (ctx: YieldItemContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.yieldClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldClause?: (ctx: YieldClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showIndexesAllowBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowIndexesAllowBrief?: (ctx: ShowIndexesAllowBriefContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showIndexesNoBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowIndexesNoBrief?: (ctx: ShowIndexesNoBriefContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showConstraintsAllowBriefAndYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowBriefAndYield?: (ctx: ShowConstraintsAllowBriefAndYieldContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showConstraintsAllowBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowBrief?: (ctx: ShowConstraintsAllowBriefContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showConstraintsAllowYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowYield?: (ctx: ShowConstraintsAllowYieldContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showProcedures`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowProcedures?: (ctx: ShowProceduresContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showFunctions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowFunctions?: (ctx: ShowFunctionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showTransactions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowTransactions?: (ctx: ShowTransactionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.terminateTransactions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTerminateTransactions?: (ctx: TerminateTransactionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showOrTerminateTransactions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowOrTerminateTransactions?: (ctx: ShowOrTerminateTransactionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringsOrExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringsOrExpression?: (ctx: StringsOrExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showSettings`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowSettings?: (ctx: ShowSettingsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createConstraint`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateConstraint?: (ctx: CreateConstraintContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.cypherTypeName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCypherTypeName?: (ctx: CypherTypeNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.cypherTypeNameList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCypherTypeNameList?: (ctx: CypherTypeNameListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.cypherTypeNamePart`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCypherTypeNamePart?: (ctx: CypherTypeNamePartContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.constraintNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintNodePattern?: (ctx: ConstraintNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.constraintRelPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintRelPattern?: (ctx: ConstraintRelPatternContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createConstraintNodeCheck`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateConstraintNodeCheck?: (ctx: CreateConstraintNodeCheckContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createConstraintRelCheck`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateConstraintRelCheck?: (ctx: CreateConstraintRelCheckContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropConstraint`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropConstraint?: (ctx: DropConstraintContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropConstraintNodeCheck`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropConstraintNodeCheck?: (ctx: DropConstraintNodeCheckContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateIndex?: (ctx: CreateIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.oldCreateIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOldCreateIndex?: (ctx: OldCreateIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createIndex_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateIndex_?: (ctx: CreateIndex_Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createFulltextIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateFulltextIndex?: (ctx: CreateFulltextIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createLookupIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateLookupIndex?: (ctx: CreateLookupIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.lookupIndexFunctionName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLookupIndexFunctionName?: (ctx: LookupIndexFunctionNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropIndex?: (ctx: DropIndexContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.propertyList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyList?: (ctx: PropertyListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.renameCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameCommand?: (ctx: RenameCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.grantCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantCommand?: (ctx: GrantCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.revokeCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokeCommand?: (ctx: RevokeCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.enableServerCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEnableServerCommand?: (ctx: EnableServerCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterServer?: (ctx: AlterServerContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.renameServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameServer?: (ctx: RenameServerContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropServer?: (ctx: DropServerContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showServers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowServers?: (ctx: ShowServersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.allocationCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllocationCommand?: (ctx: AllocationCommandContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.deallocateDatabaseFromServers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeallocateDatabaseFromServers?: (ctx: DeallocateDatabaseFromServersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.reallocateDatabases`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReallocateDatabases?: (ctx: ReallocateDatabasesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateRole?: (ctx: CreateRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropRole?: (ctx: DropRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.renameRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameRole?: (ctx: RenameRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showRoles`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRoles?: (ctx: ShowRolesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.grantRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantRole?: (ctx: GrantRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.revokeRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokeRole?: (ctx: RevokeRoleContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateUser?: (ctx: CreateUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropUser?: (ctx: DropUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.renameUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameUser?: (ctx: RenameUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterCurrentUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterCurrentUser?: (ctx: AlterCurrentUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterUser?: (ctx: AlterUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.setPassword`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetPassword?: (ctx: SetPasswordContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.passwordExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordExpression?: (ctx: PasswordExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.passwordChangeRequired`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordChangeRequired?: (ctx: PasswordChangeRequiredContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.userStatus`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserStatus?: (ctx: UserStatusContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.homeDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHomeDatabase?: (ctx: HomeDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showUsers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowUsers?: (ctx: ShowUsersContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showCurrentUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCurrentUser?: (ctx: ShowCurrentUserContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showSupportedPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowSupportedPrivileges?: (ctx: ShowSupportedPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowPrivileges?: (ctx: ShowPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showRolePrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRolePrivileges?: (ctx: ShowRolePrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showUserPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowUserPrivileges?: (ctx: ShowUserPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.grantRoleManagement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantRoleManagement?: (ctx: GrantRoleManagementContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.revokeRoleManagement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokeRoleManagement?: (ctx: RevokeRoleManagementContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.roleManagementPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRoleManagementPrivilege?: (ctx: RoleManagementPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.grantPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantPrivilege?: (ctx: GrantPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.denyPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDenyPrivilege?: (ctx: DenyPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.revokePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokePrivilege?: (ctx: RevokePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.privilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrivilege?: (ctx: PrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.allPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPrivilege?: (ctx: AllPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.allPrivilegeType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPrivilegeType?: (ctx: AllPrivilegeTypeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPrivilegeTarget?: (ctx: AllPrivilegeTargetContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreatePrivilege?: (ctx: CreatePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropPrivilege?: (ctx: DropPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.loadPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLoadPrivilege?: (ctx: LoadPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowPrivilege?: (ctx: ShowPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.setPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetPrivilege?: (ctx: SetPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.removePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemovePrivilege?: (ctx: RemovePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.writePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWritePrivilege?: (ctx: WritePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.databasePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabasePrivilege?: (ctx: DatabasePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dbmsPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDbmsPrivilege?: (ctx: DbmsPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.executeFunctionQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecuteFunctionQualifier?: (ctx: ExecuteFunctionQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.executeProcedureQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecuteProcedureQualifier?: (ctx: ExecuteProcedureQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.settingQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSettingQualifier?: (ctx: SettingQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.globs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobs?: (ctx: GlobsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.qualifiedGraphPrivilegesWithProperty`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQualifiedGraphPrivilegesWithProperty?: (ctx: QualifiedGraphPrivilegesWithPropertyContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.qualifiedGraphPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQualifiedGraphPrivileges?: (ctx: QualifiedGraphPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.labelResource`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelResource?: (ctx: LabelResourceContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.propertyResource`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyResource?: (ctx: PropertyResourceContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.graphQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphQualifier?: (ctx: GraphQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateDatabase?: (ctx: CreateDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.options_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOptions_?: (ctx: Options_Context) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createCompositeDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateCompositeDatabase?: (ctx: CreateCompositeDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropDatabase?: (ctx: DropDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabase?: (ctx: AlterDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.startDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStartDatabase?: (ctx: StartDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stopDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStopDatabase?: (ctx: StopDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.waitClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWaitClause?: (ctx: WaitClauseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowDatabase?: (ctx: ShowDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.databaseScope`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabaseScope?: (ctx: DatabaseScopeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.graphScope`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphScope?: (ctx: GraphScopeContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.createAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateAlias?: (ctx: CreateAliasContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.dropAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropAlias?: (ctx: DropAliasContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.alterAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAlias?: (ctx: AlterAliasContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.showAliases`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowAliases?: (ctx: ShowAliasesContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicAliasNameList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicAliasNameList?: (ctx: SymbolicAliasNameListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicAliasName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicAliasName?: (ctx: SymbolicAliasNameContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicNameOrStringParameterList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameOrStringParameterList?: (ctx: SymbolicNameOrStringParameterListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicNameOrStringParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameOrStringParameter?: (ctx: SymbolicNameOrStringParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.glob`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlob?: (ctx: GlobContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.globRecursive`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobRecursive?: (ctx: GlobRecursiveContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.globPart`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobPart?: (ctx: GlobPartContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringImage`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringImage?: (ctx: StringImageContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringList?: (ctx: StringListContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringToken?: (ctx: StringTokenContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.stringOrParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringOrParameter?: (ctx: StringOrParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.mapOrParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapOrParameter?: (ctx: MapOrParameterContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.map`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMap?: (ctx: MapContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicNamePositions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNamePositions?: (ctx: SymbolicNamePositionsContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameString?: (ctx: SymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.escapedSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEscapedSymbolicNameString?: (ctx: EscapedSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.unescapedSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedSymbolicNameString?: (ctx: UnescapedSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.symbolicLabelNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicLabelNameString?: (ctx: SymbolicLabelNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.unescapedLabelSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedLabelSymbolicNameString?: (ctx: UnescapedLabelSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `CypherCmdParser.endOfFile`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEndOfFile?: (ctx: EndOfFileContext) => Result;
}
